Bug 1310682 - test kernel-4.4.2-300.fc23.x86_64 disk partition mount bug
test kernel-4.4.2-300.fc23.x86_64 disk partition mount bug
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 09:02 EST by Bob Schultz
Modified: 2016-03-03 07:22 EST (History)
12 users (show)

See Also:
Fixed In Version: kernel-4.4.3-300.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 16:22:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sudo journalctl -b (for a fresh boot with 4.4.2-300 kernel), per request. (426.31 KB, text/plain)
2016-02-22 22:59 EST, Bob Schultz
no flags Details
journalctl -b for clean boot 4.3.5-300.fc23.x86_64 kernel (373.42 KB, text/plain)
2016-02-23 18:17 EST, Bob Schultz
no flags Details
journalctl -b stripped for clean 4.4.2-300.fc23.x86_64 boot (368.77 KB, text/plain)
2016-02-23 18:20 EST, Bob Schultz
no flags Details
Gparted table (70.80 KB, image/png)
2016-02-23 18:26 EST, Bob Schultz
no flags Details
Journalctl -b for 4.3.5 (booting kernel) (257.68 KB, text/plain)
2016-02-24 09:54 EST, Sammy
no flags Details

  None (edit)
Description Bob Schultz 2016-02-22 09:02:53 EST
Description of problem: Tried new test kernel. All hard drive partitions are mounted on boot on Mate desktop instead of just the boot partition, an incorrect action which also bypasses security measures. Mouse menu shows "eject", not "unmount", and partitions can't be unmounted.


Version-Release number of selected component (if applicable):kernel-4.4.2-300.fc23.x86_64


How reproducible: boot into Mate desktop.


Steps to Reproduce:
1.normal boot with new test kernel.
2.
3.

Actual results:Bugs per description.


Expected results: Only boot partition mounted at startup.


Additional info:
Comment 1 Laura Abbott 2016-02-22 17:06:16 EST
Can you confirm if you go back to an older kernel version the partitions are shown/not shown as appropriate?

Was the kernel the only package you updated with this?

Are you referring to specific security measures that this violates or just general security practices?

Can you also share your system logs (all of journalctl) from a bootup with the non-working kernel?
Comment 2 Bob Schultz 2016-02-22 22:20:02 EST
I performed a routine update that included many packages besides the test kernel. List follows here. Currently running 4.3.5-300.fc23.x86_64 which works correctly (with all other updates still applied). By security, I mean partitions mounted automatically on boot instead of needing root permissions to mount individually (no hard drive partitions are configured to auto-mount)

I'll try to get journalctl for you.

Bob@engineering ~$ sudo dnf history info 18322
Last metadata expiration check performed 0:36:55 ago on Mon Feb 22 21:37:18 2016.
Transaction ID : 18322
Begin time     : Mon Feb 22 08:17:35 2016
Begin rpmdb    : 5564:ea6698f72701dd86b333834baebb931c0a76a378
End time       :            08:24:20 2016 (6 minutes)
End rpmdb      : 5565:2c7e37c09fb5e2cb01376046d32ac06ffb198fc8
User           : Robert Schultz <Bob>
Return-Code    : Success
Command Line   : update
Transaction performed with:
    Installed     dnf-1.1.6-2.fc23.noarch         @updates-testing
    Installed     rpm-4.13.0-0.rc1.11.fc23.x86_64 @updates-testing
Packages Altered:
    Upgraded caja-1.12.2-3.fc23.x86_64                            @updates-testing
    Upgrade       1.12.4-1.fc23.x86_64                            @updates-testing
    Upgraded caja-devel-1.12.2-3.fc23.x86_64                      @updates-testing
    Upgrade             1.12.4-1.fc23.x86_64                      @updates-testing
    Upgraded caja-extensions-1.12.2-3.fc23.x86_64                 @updates-testing
    Upgrade                  1.12.4-1.fc23.x86_64                 @updates-testing
    Upgraded caja-schemas-1.12.2-3.fc23.x86_64                    @updates-testing
    Upgrade               1.12.4-1.fc23.x86_64                    @updates-testing
    Upgraded eom-1.12.1-1.fc23.x86_64                             @updates-testing
    Upgrade      1.12.2-1.fc23.x86_64                             @updates-testing
    Upgraded eom-devel-1.12.1-1.fc23.x86_64                       @updates-testing
    Upgrade            1.12.2-1.fc23.x86_64                       @updates-testing
    Upgraded evolution-3.18.5-1.fc23.x86_64                       @updates-testing
    Upgrade            3.18.5.1-1.fc23.x86_64                     @updates-testing
    Upgraded evolution-help-3.18.5-1.fc23.noarch                  @updates-testing
    Upgrade                 3.18.5.1-1.fc23.noarch                @updates-testing
    Upgraded firebird-libfbclient-2.5.5.26952.0-1.fc23.x86_64     @updates-testing
    Upgrade                       2.5.5.26952.0-2.fc23.x86_64     @updates-testing
    Upgraded firebird-libfbembed-2.5.5.26952.0-1.fc23.x86_64      @updates-testing
    Upgrade                      2.5.5.26952.0-2.fc23.x86_64      @updates-testing
    Upgrade  glibc-2.22-10.fc23.i686                              @updates-testing
    Upgrade  glibc-2.22-10.fc23.x86_64                            @updates-testing
    Upgraded glibc-2.22-9.fc23.i686                               @updates-testing
    Upgraded glibc-2.22-9.fc23.x86_64                             @updates-testing
    Upgrade  glibc-common-2.22-10.fc23.x86_64                     @updates-testing
    Upgraded glibc-common-2.22-9.fc23.x86_64                      @updates-testing
    Upgrade  glibc-devel-2.22-10.fc23.x86_64                      @updates-testing
    Upgraded glibc-devel-2.22-9.fc23.x86_64                       @updates-testing
    Upgrade  glibc-headers-2.22-10.fc23.x86_64                    @updates-testing
    Upgraded glibc-headers-2.22-9.fc23.x86_64                     @updates-testing
    Upgrade  glibc-static-2.22-10.fc23.x86_64                     @updates-testing
    Upgraded glibc-static-2.22-9.fc23.x86_64                      @updates-testing
    Upgraded groovy-2.4.4-1.fc23.noarch                           @@commandline
    Upgrade         2.4.4-3.fc23.noarch                           @updates-testing
    Upgraded groovy-lib-2.4.4-1.fc23.noarch                       @@commandline
    Upgrade             2.4.4-3.fc23.noarch                       @updates-testing
    Upgraded hwdata-0.285-2.fc23.noarch                           @updates-testing
    Upgrade         0.286-1.fc23.noarch                           @updates-testing
    Upgraded kamera-15.08.3-2.fc23.x86_64                         @updates-testing
    Upgrade         15.12.2-2.fc23.x86_64                         @updates-testing
    Erase    kernel-4.3.3-303.fc23.x86_64                         @updates-testing
    Install  kernel-4.4.2-300.fc23.x86_64                         @updates-testing
    Erase    kernel-core-4.3.3-303.fc23.x86_64                    @updates-testing
    Install  kernel-core-4.4.2-300.fc23.x86_64                    @updates-testing
    Erase    kernel-devel-4.3.3-303.fc23.x86_64                   @updates-testing
    Install  kernel-devel-4.4.2-300.fc23.x86_64                   @updates-testing
    Upgraded kernel-headers-4.3.5-300.fc23.x86_64                 @updates-testing
    Upgrade                 4.4.2-300.fc23.x86_64                 @updates-testing
    Erase    kernel-modules-4.3.3-303.fc23.x86_64                 @updates-testing
    Install  kernel-modules-4.4.2-300.fc23.x86_64                 @updates-testing
    Upgraded kernel-tools-4.3.5-300.fc23.x86_64                   @updates-testing
    Upgrade               4.4.2-300.fc23.x86_64                   @updates-testing
    Upgraded kernel-tools-libs-4.3.5-300.fc23.x86_64              @updates-testing
    Upgrade                    4.4.2-300.fc23.x86_64              @updates-testing
    Upgraded libindi-1.0.0-3.fc23.x86_64                          @@commandline
    Upgrade          1.2.0-1.fc23.x86_64                          @updates-testing
    Upgraded libinput-1.1.7-1.fc23.x86_64                         @updates-testing
    Upgrade           1.1.8-1.fc23.x86_64                         @updates-testing
    Upgraded mate-panel-1.12.1-1.fc23.x86_64                      @updates-testing
    Upgrade             1.12.2-1.fc23.x86_64                      @updates-testing
    Upgraded mate-panel-devel-1.12.1-1.fc23.x86_64                @updates-testing
    Upgrade                   1.12.2-1.fc23.x86_64                @updates-testing
    Upgraded mate-panel-libs-1.12.1-1.fc23.x86_64                 @updates-testing
    Upgrade                  1.12.2-1.fc23.x86_64                 @updates-testing
    Upgrade  nscd-2.22-10.fc23.x86_64                             @updates-testing
    Upgraded nscd-2.22-9.fc23.x86_64                              @updates-testing
    Upgraded pluma-1.12.1-1.fc23.x86_64                           @updates-testing
    Upgrade        1.12.2-1.fc23.x86_64                           @updates-testing
    Upgraded pluma-data-1.12.1-1.fc23.noarch                      @updates-testing
    Upgrade             1.12.2-1.fc23.noarch                      @updates-testing
    Upgraded pluma-devel-1.12.1-1.fc23.x86_64                     @updates-testing
    Upgrade              1.12.2-1.fc23.x86_64                     @updates-testing
    Upgraded policycoreutils-2.4-18.fc23.x86_64                   @updates-testing
    Upgrade                  2.4-20.fc23.x86_64                   @updates-testing
    Upgraded policycoreutils-devel-2.4-18.fc23.x86_64             @updates-testing
    Upgrade                        2.4-20.fc23.x86_64             @updates-testing
    Upgraded policycoreutils-gui-2.4-18.fc23.x86_64               @updates-testing
    Upgrade                      2.4-20.fc23.x86_64               @updates-testing
    Upgraded policycoreutils-python-2.4-18.fc23.x86_64            @updates-testing
    Upgrade                         2.4-20.fc23.x86_64            @updates-testing
    Upgraded policycoreutils-python-utils-2.4-18.fc23.x86_64      @updates-testing
    Upgrade                               2.4-20.fc23.x86_64      @updates-testing
    Upgraded policycoreutils-python3-2.4-18.fc23.x86_64           @updates-testing
    Upgrade                          2.4-20.fc23.x86_64           @updates-testing
    Upgraded pyparsing-2.0.3-2.fc23.noarch                        @@commandline
    Upgrade            2.1.0-2.fc23.noarch                        @updates-testing
    Install  python2-pyparsing-2.1.0-2.fc23.noarch                @updates-testing
    Upgraded python3-pyparsing-2.0.3-2.fc23.noarch                @@commandline
    Upgrade                    2.1.0-2.fc23.noarch                @updates-testing
    Upgraded rpcbind-0.2.3-5.fc23.x86_64                          @updates-testing
    Upgrade          0.2.3-6.rc1.fc23.x86_64                      @updates-testing
    Upgraded saxon-9.4.0.9-1.fc23.noarch                          @updates-testing
    Upgrade        9.4.0.9-2.fc23.noarch                          @updates-testing
    Upgraded saxon-scripts-9.4.0.9-1.fc23.noarch                  @updates-testing
    Upgrade                9.4.0.9-2.fc23.noarch                  @updates-testing
    Upgraded tesseract-3.04.00-3.fc23.x86_64                      @updates-testing
    Upgrade            3.04.01-1.fc23.x86_64                      @updates-testing
    Upgraded thunderbird-38.5.0-1.fc23.x86_64                     @updates-testing
    Upgrade              38.6.0-1.fc23.x86_64                     @updates
    Upgraded torque-4.2.10-8.fc23.x86_64                          @updates-testing
    Upgrade         4.2.10-9.fc23.x86_64                          @updates-testing
    Upgraded torque-libs-4.2.10-8.fc23.x86_64                     @updates-testing
    Upgrade              4.2.10-9.fc23.x86_64                     @updates-testing
    Upgraded xen-4.5.2-7.fc23.x86_64                              @updates-testing
    Upgrade      4.5.2-8.fc23.x86_64                              @updates-testing
    Upgraded xen-devel-4.5.2-7.fc23.x86_64                        @updates-testing
    Upgrade            4.5.2-8.fc23.x86_64                        @updates-testing
    Upgraded xen-doc-4.5.2-7.fc23.x86_64                          @updates-testing
    Upgrade          4.5.2-8.fc23.x86_64                          @updates-testing
    Upgraded xen-hypervisor-4.5.2-7.fc23.x86_64                   @updates-testing
    Upgrade                 4.5.2-8.fc23.x86_64                   @updates-testing
    Upgraded xen-libs-4.5.2-7.fc23.x86_64                         @updates-testing
    Upgrade           4.5.2-8.fc23.x86_64                         @updates-testing
    Upgraded xen-licenses-4.5.2-7.fc23.x86_64                     @updates-testing
    Upgrade               4.5.2-8.fc23.x86_64                     @updates-testing
    Upgraded xen-ocaml-4.5.2-7.fc23.x86_64                        @updates-testing
    Upgrade            4.5.2-8.fc23.x86_64                        @updates-testing
    Upgraded xen-ocaml-devel-4.5.2-7.fc23.x86_64                  @updates-testing
    Upgrade                  4.5.2-8.fc23.x86_64                  @updates-testing
    Upgraded xen-runtime-4.5.2-7.fc23.x86_64                      @updates-testing
    Upgrade              4.5.2-8.fc23.x86_64                      @updates-testing
    Upgraded autocorr-de-1:5.0.5.2-1.fc23.noarch                  @updates-testing
    Upgrade              1:5.0.5.2-2.fc23.noarch                  @updates-testing
    Upgraded autocorr-en-1:5.0.5.2-1.fc23.noarch                  @updates-testing
    Upgrade              1:5.0.5.2-2.fc23.noarch                  @updates-testing
    Upgraded autocorr-es-1:5.0.5.2-1.fc23.noarch                  @updates-testing
    Upgrade              1:5.0.5.2-2.fc23.noarch                  @updates-testing
    Upgraded autocorr-fr-1:5.0.5.2-1.fc23.noarch                  @updates-testing
    Upgrade              1:5.0.5.2-2.fc23.noarch                  @updates-testing
    Upgraded autocorr-it-1:5.0.5.2-1.fc23.noarch                  @updates-testing
    Upgrade              1:5.0.5.2-2.fc23.noarch                  @updates-testing
    Upgraded docker-1:1.10.1-5.git6c71d8f.fc23.x86_64             @updates-testing
    Upgrade         1:1.10.1-6.git6c71d8f.fc23.x86_64             @updates-testing
    Upgraded docker-selinux-1:1.10.1-5.git6c71d8f.fc23.x86_64     @updates-testing
    Upgrade                 1:1.10.1-6.git6c71d8f.fc23.x86_64     @updates-testing
    Upgraded epiphany-1:3.18.3-1.fc23.x86_64                      @updates-testing
    Upgrade           1:3.18.4-1.fc23.x86_64                      @updates-testing
    Upgraded epiphany-runtime-1:3.18.3-1.fc23.x86_64              @updates-testing
    Upgrade                   1:3.18.4-1.fc23.x86_64              @updates-testing
    Upgraded libreoffice-1:5.0.5.2-1.fc23.x86_64                  @updates-testing
    Upgrade              1:5.0.5.2-2.fc23.x86_64                  @updates-testing
    Upgraded libreoffice-base-1:5.0.5.2-1.fc23.x86_64             @updates-testing
    Upgrade                   1:5.0.5.2-2.fc23.x86_64             @updates-testing
    Upgraded libreoffice-calc-1:5.0.5.2-1.fc23.x86_64             @updates-testing
    Upgrade                   1:5.0.5.2-2.fc23.x86_64             @updates-testing
    Upgraded libreoffice-core-1:5.0.5.2-1.fc23.x86_64             @updates-testing
    Upgrade                   1:5.0.5.2-2.fc23.x86_64             @updates-testing
    Upgraded libreoffice-draw-1:5.0.5.2-1.fc23.x86_64             @updates-testing
    Upgrade                   1:5.0.5.2-2.fc23.x86_64             @updates-testing
    Upgraded libreoffice-emailmerge-1:5.0.5.2-1.fc23.x86_64       @updates-testing
    Upgrade                         1:5.0.5.2-2.fc23.x86_64       @updates-testing
    Upgraded libreoffice-graphicfilter-1:5.0.5.2-1.fc23.x86_64    @updates-testing
    Upgrade                            1:5.0.5.2-2.fc23.x86_64    @updates-testing
    Upgraded libreoffice-impress-1:5.0.5.2-1.fc23.x86_64          @updates-testing
    Upgrade                      1:5.0.5.2-2.fc23.x86_64          @updates-testing
    Upgraded libreoffice-langpack-en-1:5.0.5.2-1.fc23.x86_64      @updates-testing
    Upgrade                          1:5.0.5.2-2.fc23.x86_64      @updates-testing
    Upgraded libreoffice-math-1:5.0.5.2-1.fc23.x86_64             @updates-testing
    Upgrade                   1:5.0.5.2-2.fc23.x86_64             @updates-testing
    Upgraded libreoffice-opensymbol-fonts-1:5.0.5.2-1.fc23.noarch @updates-testing
    Upgrade                               1:5.0.5.2-2.fc23.noarch @updates-testing
    Upgraded libreoffice-pdfimport-1:5.0.5.2-1.fc23.x86_64        @updates-testing
    Upgrade                        1:5.0.5.2-2.fc23.x86_64        @updates-testing
    Upgraded libreoffice-pyuno-1:5.0.5.2-1.fc23.x86_64            @updates-testing
    Upgrade                    1:5.0.5.2-2.fc23.x86_64            @updates-testing
    Upgraded libreoffice-ure-1:5.0.5.2-1.fc23.x86_64              @updates-testing
    Upgrade                  1:5.0.5.2-2.fc23.x86_64              @updates-testing
    Upgraded libreoffice-writer-1:5.0.5.2-1.fc23.x86_64           @updates-testing
    Upgrade                     1:5.0.5.2-2.fc23.x86_64           @updates-testing
    Upgrade  virtuoso-opensource-2:6.1.6-10.fc23.x86_64           @updates-testing
    Upgraded virtuoso-opensource-2:6.1.6-9.fc23.x86_64            @@commandline
Scriptlet output:
   1 Failed to execute operation: File exists
   2 warning: %triggerun(rpcbind-0.2.3-5.fc23.x86_64) scriptlet failed, exit status 1
   3 Failed to execute operation: File exists
   4 warning: %triggerun(rpcbind-0.2.3-5.fc23.x86_64) scriptlet failed, exit status 1
   5 Failed to execute operation: File exists
   6 warning: %triggerun(rpcbind-0.2.3-6.rc1.fc23.x86_64) scriptlet failed, exit status 1
   7 /var/tmp/rpm-tmp.BvCzuJ: line 9: fg: no job control
   8 Generating grub configuration file ...
   9 Found linux image: /boot/vmlinuz-4.3.5-300.fc23.x86_64
  10 Found initrd image: /boot/initramfs-4.3.5-300.fc23.x86_64.img
  11 Found linux image: /boot/vmlinuz-4.3.4-300.fc23.x86_64
  12 Found initrd image: /boot/initramfs-4.3.4-300.fc23.x86_64.img
  13 Found linux image: /boot/vmlinuz-4.3.3-303.fc23.x86_64
  14 Found initrd image: /boot/initramfs-4.3.3-303.fc23.x86_64.img
  15 Found linux image: /boot/vmlinuz-0-rescue-950042ec393392ee53ef817b4aeb4bc7
  16 Found initrd image: /boot/initramfs-0-rescue-950042ec393392ee53ef817b4aeb4bc7.img
  17 Found linux image: /boot/vmlinuz-4.3.5-300.fc23.x86_64
  18 Found initrd image: /boot/initramfs-4.3.5-300.fc23.x86_64.img
  19 Found linux image: /boot/vmlinuz-4.3.4-300.fc23.x86_64
  20 Found initrd image: /boot/initramfs-4.3.4-300.fc23.x86_64.img
  21 Found linux image: /boot/vmlinuz-4.3.3-303.fc23.x86_64
  22 Found initrd image: /boot/initramfs-4.3.3-303.fc23.x86_64.img
  23 Found linux image: /boot/vmlinuz-4.3.5-300.fc23.x86_64
  24 Found initrd image: /boot/initramfs-4.3.5-300.fc23.x86_64.img
  25 Found linux image: /boot/vmlinuz-4.3.4-300.fc23.x86_64
  26 Found initrd image: /boot/initramfs-4.3.4-300.fc23.x86_64.img
  27 Found linux image: /boot/vmlinuz-4.3.3-303.fc23.x86_64
  28 Found initrd image: /boot/initramfs-4.3.3-303.fc23.x86_64.img
  29 Found linux image: /boot/vmlinuz-4.3.5-300.fc23.x86_64
  30 Found initrd image: /boot/initramfs-4.3.5-300.fc23.x86_64.img
  31 Found linux image: /boot/vmlinuz-4.3.4-300.fc23.x86_64
  32 Found initrd image: /boot/initramfs-4.3.4-300.fc23.x86_64.img
  33 Found linux image: /boot/vmlinuz-4.3.3-303.fc23.x86_64
  34 Found initrd image: /boot/initramfs-4.3.3-303.fc23.x86_64.img
  35 Found Windows 7 (loader) on /dev/sda1
  36 Found Fedora release 19 (Schrödinger’s Cat) on /dev/sda9
  37 done
  38 dkms: removing: vboxhost 5.0.14 (4.3.3-303.fc23.x86_64) (x86_64)
  39 
  40 -------- Uninstall Beginning --------
  41 Module:  vboxhost
  42 Version: 5.0.14
  43 Kernel:  4.3.3-303.fc23.x86_64 (x86_64)
  44 -------------------------------------
  45 
  46 Status: Before uninstall, this module version was ACTIVE on this kernel.
  47 Removing any linked weak-modules
  48 
  49 vboxdrv.ko:
  50  - Uninstallation
  51    - Deleting from: /lib/modules/4.3.3-303.fc23.x86_64/extra/
  52  - Original module
  53    - No original module was found for this module on this kernel.
  54    - Use the dkms install command to reinstall any previous module version.
  55 
  56 
  57 vboxnetflt.ko:
  58  - Uninstallation
  59    - Deleting from: /lib/modules/4.3.3-303.fc23.x86_64/extra/
  60  - Original module
  61    - No original module was found for this module on this kernel.
  62    - Use the dkms install command to reinstall any previous module version.
  63 
  64 
  65 vboxnetadp.ko:
  66  - Uninstallation
  67    - Deleting from: /lib/modules/4.3.3-303.fc23.x86_64/extra/
  68  - Original module
  69    - No original module was found for this module on this kernel.
  70    - Use the dkms install command to reinstall any previous module version.
  71 
  72 
  73 vboxpci.ko:
  74  - Uninstallation
  75    - Deleting from: /lib/modules/4.3.3-303.fc23.x86_64/extra/
  76  - Original module
  77    - No original module was found for this module on this kernel.
  78    - Use the dkms install command to reinstall any previous module version.
  79 
  80 depmod...
  81 
  82 DKMS: uninstall completed.
  83 warning: file /lib/modules/4.3.3-303.fc23.x86_64/updates: remove failed: No such file or directory
Comment 3 Bob Schultz 2016-02-22 22:59 EST
Created attachment 1129601 [details]
sudo journalctl -b  (for a fresh boot with 4.4.2-300 kernel), per request.

complete journalctl -b listing for a fresh test kernel boot.
Comment 4 Sammy 2016-02-23 10:58:22 EST
This mornings dnf update also has a problem with only one of my machines.
Somehow on that machine (all machines are DELL PRECISIONS, this one T7610,
an older one and a newer one are working fine).

All files in /boot directory look fine.
when it is booting it gets stuck and gives a message that it cannot find:

fedora_dhcp-129-59-117-106/root
fedora_dhcp-129-59-117-106/swap

The lines in grub.cfg is identical for 4.3.5-300 and 4.4.2-300:

linux   /vmlinuz-4.4.2-300.fc23.x86_64 root=/dev/mapper/fedora_dhcp--129--59--117--106-root ro rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora_dhcp-129-59-117-106/root rd.lvm.lv=fedora_dhcp-129-59-117-106/swap rhgb quiet LANG=en_US.UTF-8 selinux=0

linux   /vmlinuz-4.3.5-300.fc23.x86_64 root=/dev/mapper/fedora_dhcp--129--59--117--106-root ro rd.md=0 rd.dm=0 rd.luks=0 vconsole.keymap=us rd.lvm.lv=fedora_dhcp-129-59-117-106/root rd.lvm.lv=fedora_dhcp-129-59-117-106/swap rhgb quiet LANG=en_US.UTF-8 selinux=0

The other machines are configured the same way. I reinstalled the kernel etc.
to no avail. All machines are daily updated so they are at the same level.
Comment 5 Laura Abbott 2016-02-23 13:22:44 EST
This doesn't look like a kernel issue. There are explicit calls to mount partitions in the journalctl log:

Feb 22 22:50:45 engineering kernel: EXT4-fs (sda10): mounted filesystem with ordered data mode. Opts: (null)
Feb 22 22:50:45 engineering udisksd[1630]: Mounted /dev/sda10 at /run/media/Bob/VirtualDrives on behalf of uid 500
Feb 22 22:50:45 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]: disc.c:350: error opening file BDMV/index.bdmv
Feb 22 22:50:45 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]: disc.c:350: error opening file BDMV/BACKUP/index.bdmv
Feb 22 22:50:45 engineering kernel: EXT4-fs (sda9): mounted filesystem with ordered data mode. Opts: (null)
Feb 22 22:50:45 engineering udisksd[1630]: Mounted /dev/sda9 at /run/media/Bob/c3a35ea7-0fa5-47cc-8940-81b12a2b98cf on behalf of uid 500
Feb 22 22:50:45 engineering /usr/libexec/gdm-x-session[2003]: (audio-recorder:2609): Gtk-CRITICAL **: gtk_widget_set_tooltip_text: assertion 'GTK_IS_WIDGET (widget)' failed
Feb 22 22:50:47 engineering udisksd[1630]: Mounted /dev/sda1 at /run/media/Bob/MSDOS on behalf of uid 500
Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]: disc.c:350: error opening file BDMV/index.bdmv
Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]: disc.c:350: error opening file BDMV/BACKUP/index.bdmv
Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]: disc.c:350: error opening file BDMV/index.bdmv
Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]: disc.c:350: error opening file BDMV/BACKUP/index.bdmv
Feb 22 22:50:47 engineering ntfs-3g[2825]: Version 2015.3.14 integrated FUSE 27
Feb 22 22:50:47 engineering ntfs-3g[2825]: Mounted /dev/sda5 (Read-Write, label "XP-NTFS", NTFS 3.1)
Feb 22 22:50:47 engineering ntfs-3g[2825]: Cmdline options: rw,nodev,nosuid,uid=500,gid=500,uhelper=udisks2
Feb 22 22:50:47 engineering ntfs-3g[2825]: Mount options: rw,nodev,nosuid,uhelper=udisks2,allow_other,nonempty,relatime,default_permissions,fsname=/dev/sda5,blkdev,blksize=4096
Feb 22 22:50:47 engineering ntfs-3g[2825]: Global ownership and permissions enforced, configuration type 1
Feb 22 22:50:47 engineering udisksd[1630]: Mounted /dev/sda5 at /run/media/Bob/XP-NTFS on behalf of uid 500
Feb 22 22:50:48 engineering /usr/libexec/gdm-x-session[2003]: Successfully activated service 'org.gnome.evolution.dataserver.Sources5'
Feb 22 22:50:48 engineering /usr/libexec/gdm-x-session[2003]: Activating service name='org.gnome.evolution.dataserver.Calendar7'
Feb 22 22:50:48 engineering udisksd[1630]: Mounted /dev/sda6 at /run/media/Bob/W7-NTFS on behalf of uid 500
Feb 22 22:50:48 engineering ntfs-3g[2835]: Version 2015.3.14 integrated FUSE 27
Feb 22 22:50:48 engineering ntfs-3g[2835]: Mounted /dev/sda6 (Read-Write, label "W7-NTFS", NTFS 3.1)
Feb 22 22:50:48 engineering ntfs-3g[2835]: Cmdline options: rw,nodev,nosuid,uid=500,gid=500,uhelper=udisks2
Feb 22 22:50:48 engineering ntfs-3g[2835]: Mount options: rw,nodev,nosuid,uhelper=udisks2,allow_other,nonempty,relatime,default_permissions,fsname=/dev/sda6,blkdev,blksize=4096
Feb 22 22:50:48 engineering ntfs-3g[2835]: Global ownership and permissions enforced, configuration type 1

I suspect some setting changed somewhere to change the automounting options. When the kernel was updated those were put in the initrd which is why you see it with the new kernel options. At a best guess this is something with the desktop environment so moving the bug over there.
Comment 6 Sammy 2016-02-23 13:36:58 EST
In my case all computers have the same software and no setting has been manually
changed. Only one is failing with this. Also, the dnf update updated the same
packages on all the computers.

The only difference I have observed in
the /boot directory was:

.vmlinuz-4.4.2-300.fc23.x86_64.hmac
.vmlinuz.hmac-4.3.5-300.fc23.x86_64

change in the naming convention but this did not matter for the others.
Comment 7 Wolfgang Ulbrich 2016-02-23 14:34:40 EST
(In reply to Laura Abbott from comment #5)
> This doesn't look like a kernel issue. There are explicit calls to mount
> partitions in the journalctl log:
> 
> Feb 22 22:50:45 engineering kernel: EXT4-fs (sda10): mounted filesystem with
> ordered data mode. Opts: (null)
> Feb 22 22:50:45 engineering udisksd[1630]: Mounted /dev/sda10 at
> /run/media/Bob/VirtualDrives on behalf of uid 500
> Feb 22 22:50:45 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]:
> disc.c:350: error opening file BDMV/index.bdmv
> Feb 22 22:50:45 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]:
> disc.c:350: error opening file BDMV/BACKUP/index.bdmv
> Feb 22 22:50:45 engineering kernel: EXT4-fs (sda9): mounted filesystem with
> ordered data mode. Opts: (null)
> Feb 22 22:50:45 engineering udisksd[1630]: Mounted /dev/sda9 at
> /run/media/Bob/c3a35ea7-0fa5-47cc-8940-81b12a2b98cf on behalf of uid 500
> Feb 22 22:50:45 engineering /usr/libexec/gdm-x-session[2003]:
> (audio-recorder:2609): Gtk-CRITICAL **: gtk_widget_set_tooltip_text:
> assertion 'GTK_IS_WIDGET (widget)' failed
> Feb 22 22:50:47 engineering udisksd[1630]: Mounted /dev/sda1 at
> /run/media/Bob/MSDOS on behalf of uid 500
> Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]:
> disc.c:350: error opening file BDMV/index.bdmv
> Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]:
> disc.c:350: error opening file BDMV/BACKUP/index.bdmv
> Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]:
> disc.c:350: error opening file BDMV/index.bdmv
> Feb 22 22:50:47 engineering org.gtk.vfs.UDisks2VolumeMonitor[2110]:
> disc.c:350: error opening file BDMV/BACKUP/index.bdmv
> Feb 22 22:50:47 engineering ntfs-3g[2825]: Version 2015.3.14 integrated FUSE
> 27
> Feb 22 22:50:47 engineering ntfs-3g[2825]: Mounted /dev/sda5 (Read-Write,
> label "XP-NTFS", NTFS 3.1)
> Feb 22 22:50:47 engineering ntfs-3g[2825]: Cmdline options:
> rw,nodev,nosuid,uid=500,gid=500,uhelper=udisks2
> Feb 22 22:50:47 engineering ntfs-3g[2825]: Mount options:
> rw,nodev,nosuid,uhelper=udisks2,allow_other,nonempty,relatime,
> default_permissions,fsname=/dev/sda5,blkdev,blksize=4096
> Feb 22 22:50:47 engineering ntfs-3g[2825]: Global ownership and permissions
> enforced, configuration type 1
> Feb 22 22:50:47 engineering udisksd[1630]: Mounted /dev/sda5 at
> /run/media/Bob/XP-NTFS on behalf of uid 500
> Feb 22 22:50:48 engineering /usr/libexec/gdm-x-session[2003]: Successfully
> activated service 'org.gnome.evolution.dataserver.Sources5'
> Feb 22 22:50:48 engineering /usr/libexec/gdm-x-session[2003]: Activating
> service name='org.gnome.evolution.dataserver.Calendar7'
> Feb 22 22:50:48 engineering udisksd[1630]: Mounted /dev/sda6 at
> /run/media/Bob/W7-NTFS on behalf of uid 500
> Feb 22 22:50:48 engineering ntfs-3g[2835]: Version 2015.3.14 integrated FUSE
> 27
> Feb 22 22:50:48 engineering ntfs-3g[2835]: Mounted /dev/sda6 (Read-Write,
> label "W7-NTFS", NTFS 3.1)
> Feb 22 22:50:48 engineering ntfs-3g[2835]: Cmdline options:
> rw,nodev,nosuid,uid=500,gid=500,uhelper=udisks2
> Feb 22 22:50:48 engineering ntfs-3g[2835]: Mount options:
> rw,nodev,nosuid,uhelper=udisks2,allow_other,nonempty,relatime,
> default_permissions,fsname=/dev/sda6,blkdev,blksize=4096
> Feb 22 22:50:48 engineering ntfs-3g[2835]: Global ownership and permissions
> enforced, configuration type 1
> 
> I suspect some setting changed somewhere to change the automounting options.
> When the kernel was updated those were put in the initrd which is why you
> see it with the new kernel options. At a best guess this is something with
> the desktop environment so moving the bug over there.

There is nothing change with Mate-Desktop and mounts in caja are handled by gvfs.
Btw. i do not see this issue with test kernel and updated MATE desktop, but i do not use lvm.

So feel free to reasign back the issue to the right component (gvfs or lvm).
mate-common or mate is not the place which causes the issue.

(In reply to Sammy from comment #6)
> In my case all computers have the same software and no setting has been
> manually
> changed. Only one is failing with this. Also, the dnf update updated the same
> packages on all the computers.
Which shows that this isn't a MATE problem.
Comment 8 Wolfgang Ulbrich 2016-02-23 15:03:40 EST
Downgrading every single package from the update will show the truth.
Comment 9 Sammy 2016-02-23 16:27:48 EST
My updates were similar to the ones above....glibc does not bring anything new it looks like, the only things that look like anyhting are hwdata and policycoreutils.

Tomorrrow morning I will get more info from the screen messages and report.
Comment 10 Bob Schultz 2016-02-23 18:17 EST
Created attachment 1129955 [details]
journalctl -b for clean boot 4.3.5-300.fc23.x86_64 kernel

Journal log with timestamps removed for a "good boot" with 4.3.5-300.fc23.x86_64
Will upload stripped "bad boot" journal next, so Kompare or Kdiff3 can be used to isolate differences.
Comment 11 Bob Schultz 2016-02-23 18:20 EST
Created attachment 1129958 [details]
journalctl -b stripped for clean 4.4.2-300.fc23.x86_64 boot

Timestamp stripped file can be compared to goodboot file with Kompare or Kdiff3, etc., to see detailed differences.
Comment 12 Bob Schultz 2016-02-23 18:26 EST
Created attachment 1129959 [details]
Gparted table

Additional info--screenshot of gparted table. (No LVM).
Comment 13 Sammy 2016-02-24 09:44:36 EST
Downgraded everything, reinstalled kernel, no change!
Comment 14 Sammy 2016-02-24 09:54 EST
Created attachment 1130239 [details]
Journalctl -b for 4.3.5 (booting kernel)
Comment 15 Bob Schultz 2016-02-24 10:22:09 EST
Just tested kernel-4.4.2-301.fc23.x86_64 from koji. Problem still exists. There are no system changes except for the boot kernel selected between kernel-4.4.2-301.fc23.x86_64 and 4.3.5-300.fc23.x86_64 so something is apparently different between them causing the problem. Note that not only are all the drive partitions incorrectly automounted--bypassing the need for root permission, but the partitions appear to be treated as some sort of individual removable media, with an "eject" option on each partition icon instead of "unmount". When the eject option is selected, an erro message to the effect "drive /dev/sda# is mounted" and can't be released displayed.
Comment 16 Sammy 2016-02-24 11:19:42 EST
Ditto here. Another point is that other hardware configured the same way are
working.
Comment 17 Sammy 2016-02-24 13:41:54 EST
This should help to exclude the user environment:

1. Updated all the packages to most recent
2. Installed the older kernel 4.3.4-300.fc23.x86_64 - IT WORKS
3. Install the new kernel - IT FAILS

I also did one more:

1. Rebuilt the 4.4.2 kernel with the config.x86_64 of the 4.3.5 kernel (just had
   to add one option for Intel MIC card). This again FAILED TO BOOT.

I conclude that there is some change in the kernel itself. There seems to be a
4.4.3-rc1 out there so perhaps 4.4.3 has some fix.
Comment 18 Laura Abbott 2016-02-24 15:45:08 EST
I bounced some ideas around and if the kernel is showing the partitions differently it could cause problems. Could you share the output of 'udisksctl dump', 'ls -l /dev/disk/by-uuid/', 'ls -l /dev/disk/by-id' for the working and non working kernel cases? This will give an idea what's being exposed.
Comment 19 Bob Schultz 2016-02-24 16:57:30 EST
Per request:
=============================================================
Bob@engineering ~$ uname -a
Linux engineering 4.3.5-300.fc23.x86_64 #1 SMP Mon Feb 1 03:18:41 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Bob@engineering ~$ udisksctl dump
/org/freedesktop/UDisks2/Manager:
  org.freedesktop.UDisks2.Manager:
    Version:            2.1.6

/org/freedesktop/UDisks2/block_devices/fd0:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/fd0
    DeviceNumber:               512
    Drive:                      '/org/freedesktop/UDisks2/drives/Floppy_Drive'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/fd0
    ReadOnly:                   false
    Size:                       0
    Symlinks:                   
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        

/org/freedesktop/UDisks2/block_devices/sda:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda
    DeviceNumber:               2048
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda
    ReadOnly:                   false
    Size:                       2000398934016
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545
                                /dev/disk/by-id/wwn-0x178a08b54ee25001
  org.freedesktop.UDisks2.PartitionTable:
    Type:               dos

/org/freedesktop/UDisks2/block_devices/sda1:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda1
    DeviceNumber:               2049
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part1
    IdLabel:                    MSDOS
    IdType:                     vfat
    IdUUID:                     201C-15E2
    IdUsage:                    filesystem
    IdVersion:                  FAT16
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda1
    ReadOnly:                   false
    Size:                       1052803584
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part1
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part1
                                /dev/disk/by-label/MSDOS
                                /dev/disk/by-uuid/201C-15E2
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              128
    IsContained:        false
    IsContainer:        false
    Name:               
    Number:             1
    Offset:             32256
    Size:               1052803584
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x06
    UUID:               c900c900-01

/org/freedesktop/UDisks2/block_devices/sda10:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda10
    DeviceNumber:               2058
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part10
    IdLabel:                    VirtualDrives
    IdType:                     ext4
    IdUUID:                     0c6f72f1-21d2-493e-8794-6455eef671cd
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda10
    ReadOnly:                   false
    Size:                       337551294464
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part10
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part10
                                /dev/disk/by-label/VirtualDrives
                                /dev/disk/by-uuid/0c6f72f1-21d2-493e-8794-6455eef671cd
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             10
    Offset:             1621399437312
    Size:               337551294464
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-0a

/org/freedesktop/UDisks2/block_devices/sda2:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda2
    DeviceNumber:               2050
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part2
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda2
    ReadOnly:                   false
    Size:                       1024
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part2
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part2
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        false
    IsContainer:        true
    Name:               
    Number:             2
    Offset:             1052835840
    Size:               1999346008064
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x0f
    UUID:               c900c900-02

/org/freedesktop/UDisks2/block_devices/sda5:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda5
    DeviceNumber:               2053
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part5
    IdLabel:                    XP-NTFS
    IdType:                     ntfs
    IdUUID:                     57A971EBCAB80484
    IdUsage:                    filesystem
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda5
    ReadOnly:                   false
    Size:                       52436127744
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part5
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part5
                                /dev/disk/by-label/XP-NTFS
                                /dev/disk/by-uuid/57A971EBCAB80484
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             5
    Offset:             1052868096
    Size:               52436127744
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x07
    UUID:               c900c900-05

/org/freedesktop/UDisks2/block_devices/sda6:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda6
    DeviceNumber:               2054
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part6
    IdLabel:                    W7-NTFS
    IdType:                     ntfs
    IdUUID:                     076DC77635A15F90
    IdUsage:                    filesystem
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda6
    ReadOnly:                   false
    Size:                       419423445504
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part6
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part6
                                /dev/disk/by-label/W7-NTFS
                                /dev/disk/by-uuid/076DC77635A15F90
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             6
    Offset:             53489028096
    Size:               419423445504
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x07
    UUID:               c900c900-06

/org/freedesktop/UDisks2/block_devices/sda7:
  org.freedesktop.UDisks2.Block:
    Configuration:              [('fstab', {'fsname': <b'UUID=1e8b8748-c86a-4a08-bd3a-2ea87c9c8359'>, 'dir': <b'/'>, 'type': <b'ext4'>, 'opts': <b'defaults'>, 'freq': <1>, 'passno': <1>})]
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda7
    DeviceNumber:               2055
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part7
    IdLabel:                    
    IdType:                     ext4
    IdUUID:                     1e8b8748-c86a-4a08-bd3a-2ea87c9c8359
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda7
    ReadOnly:                   false
    Size:                       1098153186304
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part7
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part7
                                /dev/disk/by-uuid/1e8b8748-c86a-4a08-bd3a-2ea87c9c8359
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             7
    Offset:             472912505856
    Size:               1098153186304
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-07

/org/freedesktop/UDisks2/block_devices/sda8:
  org.freedesktop.UDisks2.Block:
    Configuration:              [('fstab', {'fsname': <b'UUID=e71f066e-b3e2-457c-b9de-39a1e668ffb6'>, 'dir': <b'swap'>, 'type': <b'swap'>, 'opts': <b'defaults'>, 'freq': <0>, 'passno': <0>})]
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda8
    DeviceNumber:               2056
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part8
    IdLabel:                    
    IdType:                     swap
    IdUUID:                     e71f066e-b3e2-457c-b9de-39a1e668ffb6
    IdUsage:                    other
    IdVersion:                  1
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda8
    ReadOnly:                   false
    Size:                       8388608000
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part8
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part8
                                /dev/disk/by-uuid/e71f066e-b3e2-457c-b9de-39a1e668ffb6
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             8
    Offset:             1571066740736
    Size:               8388608000
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x82
    UUID:               c900c900-08
  org.freedesktop.UDisks2.Swapspace:
    Active:             true

/org/freedesktop/UDisks2/block_devices/sda9:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda9
    DeviceNumber:               2057
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part9
    IdLabel:                    
    IdType:                     ext4
    IdUUID:                     c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda9
    ReadOnly:                   false
    Size:                       41941991424
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part9
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part9
                                /dev/disk/by-uuid/c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             9
    Offset:             1579456397312
    Size:               41941991424
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-09

/org/freedesktop/UDisks2/block_devices/sr0:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sr0
    DeviceNumber:               2816
    Drive:                      '/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223L_Q9896GCS80448600'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sr0
    ReadOnly:                   true
    Size:                       0
    Symlinks:                   /dev/cdrom
                                /dev/disk/by-id/ata-TSSTcorp_CDDVDW_SH-S223L_Q9896GCS80448600

/org/freedesktop/UDisks2/block_devices/sr1:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sr1
    DeviceNumber:               2817
    Drive:                      '/org/freedesktop/UDisks2/drives/ASUS____BW_12B1ST_B7D0CL344193'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sr1
    ReadOnly:                   true
    Size:                       0
    Symlinks:                   /dev/disk/by-id/ata-ASUS_BW-12B1ST_B7D0CL344193

/org/freedesktop/UDisks2/drives/ASUS____BW_12B1ST_B7D0CL344193:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  true
    Id:                         ASUS----BW-12B1ST-B7D0CL344193
    Media:                      
    MediaAvailable:             false
    MediaChangeDetected:        true
    MediaCompatibility:         optical_bd
                                optical_bd_r
                                optical_bd_re
                                optical_cd
                                optical_cd_r
                                optical_cd_rw
                                optical_dvd
                                optical_dvd_plus_r
                                optical_dvd_plus_r_dl
                                optical_dvd_plus_rw
                                optical_dvd_r
                                optical_dvd_ram
                                optical_dvd_rw
                                optical_mrw
                                optical_mrw_w
    MediaRemovable:             true
    Model:                      ASUS    BW-12B1ST
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   1.03
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     B7D0CL344193
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/11removable/sr1
    TimeDetected:               1456339612807849
    TimeMediaDetected:          0
    Vendor:                     
    WWN:                        
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  false
    PmSupported:                                false
    SecurityEnhancedEraseUnitMinutes:           0
    SecurityEraseUnitMinutes:                   0
    SecurityFrozen:                             false
    SmartEnabled:                               false
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          -1
    SmartNumAttributesFailing:                  -1
    SmartNumBadSectors:                         1
    SmartPowerOnSeconds:                        0
    SmartSelftestPercentRemaining:              -1
    SmartSelftestStatus:                        
    SmartSupported:                             false
    SmartTemperature:                           0.0
    SmartUpdated:                               0
    WriteCacheEnabled:                          false
    WriteCacheSupported:                        false

/org/freedesktop/UDisks2/drives/Floppy_Drive:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  false
    Id:                         
    Media:                      floppy
    MediaAvailable:             true
    MediaChangeDetected:        false
    MediaCompatibility:         floppy
    MediaRemovable:             true
    Model:                      Floppy Drive
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/10removable/fd0
    TimeDetected:               1456339612340587
    TimeMediaDetected:          1456339612340587
    Vendor:                     
    WWN:                        

/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223L_Q9896GCS80448600:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  true
    Id:                         TSSTcorp-CDDVDW-SH-S223L-Q9896GCS80448600
    Media:                      
    MediaAvailable:             false
    MediaChangeDetected:        true
    MediaCompatibility:         optical_cd
                                optical_cd_r
                                optical_cd_rw
                                optical_dvd
                                optical_dvd_plus_r
                                optical_dvd_plus_r_dl
                                optical_dvd_plus_rw
                                optical_dvd_r
                                optical_dvd_ram
                                optical_dvd_rw
                                optical_mrw
                                optical_mrw_w
    MediaRemovable:             true
    Model:                      TSSTcorp CDDVDW SH-S223L
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   SB04
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     Q9896GCS80448600
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/11removable/sr0
    TimeDetected:               1456339612822076
    TimeMediaDetected:          0
    Vendor:                     
    WWN:                        
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  false
    PmSupported:                                false
    SecurityEnhancedEraseUnitMinutes:           0
    SecurityEraseUnitMinutes:                   0
    SecurityFrozen:                             false
    SmartEnabled:                               false
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          -1
    SmartNumAttributesFailing:                  -1
    SmartNumBadSectors:                         1
    SmartPowerOnSeconds:                        0
    SmartSelftestPercentRemaining:              -1
    SmartSelftestStatus:                        
    SmartSupported:                             false
    SmartTemperature:                           0.0
    SmartUpdated:                               0
    WriteCacheEnabled:                          false
    WriteCacheSupported:                        false

/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  false
    Id:                         WDC-WD2002FAEX-007BA0-WD-WCAY01653545
    Media:                      
    MediaAvailable:             true
    MediaChangeDetected:        true
    MediaCompatibility:         
    MediaRemovable:             false
    Model:                      WDC WD2002FAEX-007BA0
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  false
    Revision:                   05.01D05
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     WD-WCAY01653545
    SiblingId:                  
    Size:                       2000398934016
    SortKey:                    00coldplug/00fixed/sd____a
    TimeDetected:               1456339613340487
    TimeMediaDetected:          1456339613340487
    Vendor:                     
    WWN:                        0x178a08b54ee25001
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  true
    PmSupported:                                true
    SecurityEnhancedEraseUnitMinutes:           310
    SecurityEraseUnitMinutes:                   310
    SecurityFrozen:                             true
    SmartEnabled:                               true
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          0
    SmartNumAttributesFailing:                  0
    SmartNumBadSectors:                         0
    SmartPowerOnSeconds:                        63273600
    SmartSelftestPercentRemaining:              0
    SmartSelftestStatus:                        success
    SmartSupported:                             true
    SmartTemperature:                           310.15000000000003
    SmartUpdated:                               1456349853
    WriteCacheEnabled:                          true
    WriteCacheSupported:                        true

ls -l /dev/disk/by-uuid/
total 0
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 076DC77635A15F90 -> ../../sda6
lrwxrwxrwx. 1 root root 11 Feb 24 13:46 0c6f72f1-21d2-493e-8794-6455eef671cd -> ../../sda10
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 1e8b8748-c86a-4a08-bd3a-2ea87c9c8359 -> ../../sda7
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 201C-15E2 -> ../../sda1
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 57A971EBCAB80484 -> ../../sda5
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 c3a35ea7-0fa5-47cc-8940-81b12a2b98cf -> ../../sda9
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 e71f066e-b3e2-457c-b9de-39a1e668ffb6 -> ../../sda8

ls -l /dev/disk/by-id
total 0
lrwxrwxrwx. 1 root root  9 Feb 24 13:46 ata-ASUS_BW-12B1ST_B7D0CL344193 -> ../../sr1
lrwxrwxrwx. 1 root root  9 Feb 24 13:46 ata-TSSTcorp_CDDVDW_SH-S223L_Q9896GCS80448600 -> ../../sr0
lrwxrwxrwx. 1 root root  9 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545 -> ../../sda
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part1 -> ../../sda1
lrwxrwxrwx. 1 root root 11 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part10 -> ../../sda10
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part2 -> ../../sda2
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part5 -> ../../sda5
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part6 -> ../../sda6
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part7 -> ../../sda7
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part8 -> ../../sda8
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part9 -> ../../sda9
lrwxrwxrwx. 1 root root  9 Feb 24 13:46 wwn-0x178a08b54ee25001 -> ../../sda
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 wwn-0x178a08b54ee25001-part1 -> ../../sda1
lrwxrwxrwx. 1 root root 11 Feb 24 13:46 wwn-0x178a08b54ee25001-part10 -> ../../sda10
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 wwn-0x178a08b54ee25001-part2 -> ../../sda2
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 wwn-0x178a08b54ee25001-part5 -> ../../sda5
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 wwn-0x178a08b54ee25001-part6 -> ../../sda6
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 wwn-0x178a08b54ee25001-part7 -> ../../sda7
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 wwn-0x178a08b54ee25001-part8 -> ../../sda8
lrwxrwxrwx. 1 root root 10 Feb 24 13:46 wwn-0x178a08b54ee25001-part9 -> ../../sda9

========================================================================
Bob@engineering ~$ uname -a 
Linux engineering 4.4.2-300.fc23.x86_64 #1 SMP Fri Feb 19 15:40:11 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Bob@engineering ~$ 

udisksctl dump

/org/freedesktop/UDisks2/Manager:
  org.freedesktop.UDisks2.Manager:
    Version:            2.1.6

/org/freedesktop/UDisks2/block_devices/fd0:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/fd0
    DeviceNumber:               512
    Drive:                      '/org/freedesktop/UDisks2/drives/Floppy_Drive'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/fd0
    ReadOnly:                   false
    Size:                       0
    Symlinks:                   
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        

/org/freedesktop/UDisks2/block_devices/sda:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda
    DeviceNumber:               2048
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda
    ReadOnly:                   false
    Size:                       2000398934016
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545
                                /dev/disk/by-id/wwn-0x178a08b54ee25001
  org.freedesktop.UDisks2.PartitionTable:
    Type:               dos

/org/freedesktop/UDisks2/block_devices/sda1:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda1
    DeviceNumber:               2049
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-uuid-201C-15E2
    IdLabel:                    MSDOS
    IdType:                     vfat
    IdUUID:                     201C-15E2
    IdUsage:                    filesystem
    IdVersion:                  FAT16
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda1
    ReadOnly:                   false
    Size:                       1052803584
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part1
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part1
                                /dev/disk/by-label/MSDOS
                                /dev/disk/by-uuid/201C-15E2
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /run/media/Bob/MSDOS
  org.freedesktop.UDisks2.Partition:
    Flags:              128
    IsContained:        false
    IsContainer:        false
    Name:               
    Number:             1
    Offset:             32256
    Size:               1052803584
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x06
    UUID:               c900c900-01

/org/freedesktop/UDisks2/block_devices/sda10:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda10
    DeviceNumber:               2058
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-uuid-0c6f72f1-21d2-493e-8794-6455eef671cd
    IdLabel:                    VirtualDrives
    IdType:                     ext4
    IdUUID:                     0c6f72f1-21d2-493e-8794-6455eef671cd
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda10
    ReadOnly:                   false
    Size:                       337551294464
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part10
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part10
                                /dev/disk/by-label/VirtualDrives
                                /dev/disk/by-uuid/0c6f72f1-21d2-493e-8794-6455eef671cd
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /run/media/Bob/VirtualDrives
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             10
    Offset:             1621399437312
    Size:               337551294464
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-0a

/org/freedesktop/UDisks2/block_devices/sda2:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda2
    DeviceNumber:               2050
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda2
    ReadOnly:                   false
    Size:                       1024
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part2
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part2
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        false
    IsContainer:        true
    Name:               
    Number:             2
    Offset:             1052835840
    Size:               1999346008064
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x0f
    UUID:               c900c900-02

/org/freedesktop/UDisks2/block_devices/sda5:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda5
    DeviceNumber:               2053
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-uuid-57A971EBCAB80484
    IdLabel:                    XP-NTFS
    IdType:                     ntfs
    IdUUID:                     57A971EBCAB80484
    IdUsage:                    filesystem
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda5
    ReadOnly:                   false
    Size:                       52436127744
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part5
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part5
                                /dev/disk/by-label/XP-NTFS
                                /dev/disk/by-uuid/57A971EBCAB80484
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /run/media/Bob/XP-NTFS
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             5
    Offset:             1052868096
    Size:               52436127744
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x07
    UUID:               c900c900-05

/org/freedesktop/UDisks2/block_devices/sda6:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda6
    DeviceNumber:               2054
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-uuid-076DC77635A15F90
    IdLabel:                    W7-NTFS
    IdType:                     ntfs
    IdUUID:                     076DC77635A15F90
    IdUsage:                    filesystem
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda6
    ReadOnly:                   false
    Size:                       419423445504
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part6
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part6
                                /dev/disk/by-label/W7-NTFS
                                /dev/disk/by-uuid/076DC77635A15F90
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /run/media/Bob/W7-NTFS
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             6
    Offset:             53489028096
    Size:               419423445504
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x07
    UUID:               c900c900-06

/org/freedesktop/UDisks2/block_devices/sda7:
  org.freedesktop.UDisks2.Block:
    Configuration:              [('fstab', {'fsname': <b'UUID=1e8b8748-c86a-4a08-bd3a-2ea87c9c8359'>, 'dir': <b'/'>, 'type': <b'ext4'>, 'opts': <b'defaults'>, 'freq': <1>, 'passno': <1>})]
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda7
    DeviceNumber:               2055
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-uuid-1e8b8748-c86a-4a08-bd3a-2ea87c9c8359
    IdLabel:                    
    IdType:                     ext4
    IdUUID:                     1e8b8748-c86a-4a08-bd3a-2ea87c9c8359
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda7
    ReadOnly:                   false
    Size:                       1098153186304
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part7
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part7
                                /dev/disk/by-uuid/1e8b8748-c86a-4a08-bd3a-2ea87c9c8359
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             7
    Offset:             472912505856
    Size:               1098153186304
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-07

/org/freedesktop/UDisks2/block_devices/sda8:
  org.freedesktop.UDisks2.Block:
    Configuration:              [('fstab', {'fsname': <b'UUID=e71f066e-b3e2-457c-b9de-39a1e668ffb6'>, 'dir': <b'swap'>, 'type': <b'swap'>, 'opts': <b'defaults'>, 'freq': <0>, 'passno': <0>})]
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda8
    DeviceNumber:               2056
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-uuid-e71f066e-b3e2-457c-b9de-39a1e668ffb6
    IdLabel:                    
    IdType:                     swap
    IdUUID:                     e71f066e-b3e2-457c-b9de-39a1e668ffb6
    IdUsage:                    other
    IdVersion:                  1
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda8
    ReadOnly:                   false
    Size:                       8388608000
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part8
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part8
                                /dev/disk/by-uuid/e71f066e-b3e2-457c-b9de-39a1e668ffb6
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             8
    Offset:             1571066740736
    Size:               8388608000
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x82
    UUID:               c900c900-08
  org.freedesktop.UDisks2.Swapspace:
    Active:             true

/org/freedesktop/UDisks2/block_devices/sda9:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda9
    DeviceNumber:               2057
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         by-uuid-c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
    IdLabel:                    
    IdType:                     ext4
    IdUUID:                     c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda9
    ReadOnly:                   false
    Size:                       41941991424
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part9
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part9
                                /dev/disk/by-uuid/c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /run/media/Bob/c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             9
    Offset:             1579456397312
    Size:               41941991424
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-09

/org/freedesktop/UDisks2/block_devices/sr0:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sr0
    DeviceNumber:               2816
    Drive:                      '/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223L_Q9896GCS80448600'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sr0
    ReadOnly:                   true
    Size:                       0
    Symlinks:                   /dev/cdrom
                                /dev/disk/by-id/ata-TSSTcorp_CDDVDW_SH-S223L_Q9896GCS80448600

/org/freedesktop/UDisks2/block_devices/sr1:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sr1
    DeviceNumber:               2817
    Drive:                      '/org/freedesktop/UDisks2/drives/ASUS____BW_12B1ST_B7D0CL344193'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sr1
    ReadOnly:                   true
    Size:                       0
    Symlinks:                   /dev/disk/by-id/ata-ASUS_BW-12B1ST_B7D0CL344193

/org/freedesktop/UDisks2/drives/ASUS____BW_12B1ST_B7D0CL344193:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  true
    Id:                         ASUS----BW-12B1ST-B7D0CL344193
    Media:                      
    MediaAvailable:             false
    MediaChangeDetected:        true
    MediaCompatibility:         optical_bd
                                optical_bd_r
                                optical_bd_re
                                optical_cd
                                optical_cd_r
                                optical_cd_rw
                                optical_dvd
                                optical_dvd_plus_r
                                optical_dvd_plus_r_dl
                                optical_dvd_plus_rw
                                optical_dvd_r
                                optical_dvd_ram
                                optical_dvd_rw
                                optical_mrw
                                optical_mrw_w
    MediaRemovable:             true
    Model:                      ASUS    BW-12B1ST
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   1.03
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     B7D0CL344193
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/11removable/sr1
    TimeDetected:               1456350136456790
    TimeMediaDetected:          0
    Vendor:                     
    WWN:                        
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  false
    PmSupported:                                false
    SecurityEnhancedEraseUnitMinutes:           0
    SecurityEraseUnitMinutes:                   0
    SecurityFrozen:                             false
    SmartEnabled:                               false
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          -1
    SmartNumAttributesFailing:                  -1
    SmartNumBadSectors:                         1
    SmartPowerOnSeconds:                        0
    SmartSelftestPercentRemaining:              -1
    SmartSelftestStatus:                        
    SmartSupported:                             false
    SmartTemperature:                           0.0
    SmartUpdated:                               0
    WriteCacheEnabled:                          false
    WriteCacheSupported:                        false

/org/freedesktop/UDisks2/drives/Floppy_Drive:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  false
    Id:                         
    Media:                      floppy
    MediaAvailable:             true
    MediaChangeDetected:        false
    MediaCompatibility:         floppy
    MediaRemovable:             true
    Model:                      Floppy Drive
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/10removable/fd0
    TimeDetected:               1456350136111845
    TimeMediaDetected:          1456350136111845
    Vendor:                     
    WWN:                        

/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223L_Q9896GCS80448600:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  true
    Id:                         TSSTcorp-CDDVDW-SH-S223L-Q9896GCS80448600
    Media:                      
    MediaAvailable:             false
    MediaChangeDetected:        true
    MediaCompatibility:         optical_cd
                                optical_cd_r
                                optical_cd_rw
                                optical_dvd
                                optical_dvd_plus_r
                                optical_dvd_plus_r_dl
                                optical_dvd_plus_rw
                                optical_dvd_r
                                optical_dvd_ram
                                optical_dvd_rw
                                optical_mrw
                                optical_mrw_w
    MediaRemovable:             true
    Model:                      TSSTcorp CDDVDW SH-S223L
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   SB04
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     Q9896GCS80448600
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/11removable/sr0
    TimeDetected:               1456350136444433
    TimeMediaDetected:          0
    Vendor:                     
    WWN:                        
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  false
    PmSupported:                                false
    SecurityEnhancedEraseUnitMinutes:           0
    SecurityEraseUnitMinutes:                   0
    SecurityFrozen:                             false
    SmartEnabled:                               false
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          -1
    SmartNumAttributesFailing:                  -1
    SmartNumBadSectors:                         1
    SmartPowerOnSeconds:                        0
    SmartSelftestPercentRemaining:              -1
    SmartSelftestStatus:                        
    SmartSupported:                             false
    SmartTemperature:                           0.0
    SmartUpdated:                               0
    WriteCacheEnabled:                          false
    WriteCacheSupported:                        false

/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  true
    Id:                         WDC-WD2002FAEX-007BA0-WD-WCAY01653545
    Media:                      
    MediaAvailable:             true
    MediaChangeDetected:        true
    MediaCompatibility:         
    MediaRemovable:             true
    Model:                      WDC WD2002FAEX-007BA0
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   05.01D05
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     WD-WCAY01653545
    SiblingId:                  
    Size:                       2000398934016
    SortKey:                    00coldplug/12removable/sd____a
    TimeDetected:               1456350137077717
    TimeMediaDetected:          1456350137077717
    Vendor:                     
    WWN:                        0x178a08b54ee25001
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  true
    PmSupported:                                true
    SecurityEnhancedEraseUnitMinutes:           310
    SecurityEraseUnitMinutes:                   310
    SecurityFrozen:                             true
    SmartEnabled:                               true
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          0
    SmartNumAttributesFailing:                  0
    SmartNumBadSectors:                         0
    SmartPowerOnSeconds:                        63273600
    SmartSelftestPercentRemaining:              0
    SmartSelftestStatus:                        success
    SmartSupported:                             true
    SmartTemperature:                           311.15000000000003
    SmartUpdated:                               1456350185
    WriteCacheEnabled:                          true
    WriteCacheSupported:                        true

ls -l /dev/disk/by-uuid/
total 0
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 076DC77635A15F90 -> ../../sda6
lrwxrwxrwx. 1 root root 11 Feb 24 16:42 0c6f72f1-21d2-493e-8794-6455eef671cd -> ../../sda10
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 1e8b8748-c86a-4a08-bd3a-2ea87c9c8359 -> ../../sda7
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 201C-15E2 -> ../../sda1
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 57A971EBCAB80484 -> ../../sda5
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 c3a35ea7-0fa5-47cc-8940-81b12a2b98cf -> ../../sda9
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 e71f066e-b3e2-457c-b9de-39a1e668ffb6 -> ../../sda8

ls -l /dev/disk/by-id
total 0
lrwxrwxrwx. 1 root root  9 Feb 24 16:42 ata-ASUS_BW-12B1ST_B7D0CL344193 -> ../../sr1
lrwxrwxrwx. 1 root root  9 Feb 24 16:42 ata-TSSTcorp_CDDVDW_SH-S223L_Q9896GCS80448600 -> ../../sr0
lrwxrwxrwx. 1 root root  9 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545 -> ../../sda
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part1 -> ../../sda1
lrwxrwxrwx. 1 root root 11 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part10 -> ../../sda10
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part2 -> ../../sda2
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part5 -> ../../sda5
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part6 -> ../../sda6
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part7 -> ../../sda7
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part8 -> ../../sda8
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part9 -> ../../sda9
lrwxrwxrwx. 1 root root  9 Feb 24 16:42 wwn-0x178a08b54ee25001 -> ../../sda
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 wwn-0x178a08b54ee25001-part1 -> ../../sda1
lrwxrwxrwx. 1 root root 11 Feb 24 16:42 wwn-0x178a08b54ee25001-part10 -> ../../sda10
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 wwn-0x178a08b54ee25001-part2 -> ../../sda2
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 wwn-0x178a08b54ee25001-part5 -> ../../sda5
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 wwn-0x178a08b54ee25001-part6 -> ../../sda6
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 wwn-0x178a08b54ee25001-part7 -> ../../sda7
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 wwn-0x178a08b54ee25001-part8 -> ../../sda8
lrwxrwxrwx. 1 root root 10 Feb 24 16:42 wwn-0x178a08b54ee25001-part9 -> ../../sda9
=============================end of pastes===================
Comment 20 Bob Schultz 2016-02-24 17:32:17 EST
udisksctl dump outputs tell the story. Kdiff3 shows a slew of differences, starting with /dev/sda HintAuto false for working, and true for nonworking.

Hintsystem true for working, false for nonworking.

empty mountpoint for MSDOS partition on mounting, MountPoints:        /run/media/Bob/MSDOS for non-working (obvious problem).

Long list of similar discrepancies.
Comment 21 Laura Abbott 2016-02-24 20:03:12 EST
so based on the output of udisksctl, it looks like something thinks that the drive is removable which generates the rules as given.  I looked through the kernel and found https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8a3e33cf92c7b7ae25c589eccd1a69ab11cc4353 as good candidate for causing this behavior. 

Can you test http://koji.fedoraproject.org/koji/taskinfo?taskID=13119361 when it finishes?
Comment 22 Bob Schultz 2016-02-24 23:16:47 EST
We have a winner!
Bob@engineering ~$ uname -a
Linux engineering 4.4.2-301.removablefix.fc23.x86_64 #1 SMP Thu Feb 25 01:42:25 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Bob@engineering ~$ 

solves the problem.

'udisksctl dump' output for the record:
/org/freedesktop/UDisks2/Manager:
  org.freedesktop.UDisks2.Manager:
    Version:            2.1.6

/org/freedesktop/UDisks2/block_devices/fd0:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/fd0
    DeviceNumber:               512
    Drive:                      '/org/freedesktop/UDisks2/drives/Floppy_Drive'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/fd0
    ReadOnly:                   false
    Size:                       0
    Symlinks:                   
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        

/org/freedesktop/UDisks2/block_devices/sda:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda
    DeviceNumber:               2048
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda
    ReadOnly:                   false
    Size:                       2000398934016
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545
                                /dev/disk/by-id/wwn-0x178a08b54ee25001
  org.freedesktop.UDisks2.PartitionTable:
    Type:               dos

/org/freedesktop/UDisks2/block_devices/sda1:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda1
    DeviceNumber:               2049
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part1
    IdLabel:                    MSDOS
    IdType:                     vfat
    IdUUID:                     201C-15E2
    IdUsage:                    filesystem
    IdVersion:                  FAT16
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda1
    ReadOnly:                   false
    Size:                       1052803584
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part1
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part1
                                /dev/disk/by-label/MSDOS
                                /dev/disk/by-uuid/201C-15E2
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              128
    IsContained:        false
    IsContainer:        false
    Name:               
    Number:             1
    Offset:             32256
    Size:               1052803584
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x06
    UUID:               c900c900-01

/org/freedesktop/UDisks2/block_devices/sda10:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda10
    DeviceNumber:               2058
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part10
    IdLabel:                    VirtualDrives
    IdType:                     ext4
    IdUUID:                     0c6f72f1-21d2-493e-8794-6455eef671cd
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda10
    ReadOnly:                   false
    Size:                       337551294464
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part10
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part10
                                /dev/disk/by-label/VirtualDrives
                                /dev/disk/by-uuid/0c6f72f1-21d2-493e-8794-6455eef671cd
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             10
    Offset:             1621399437312
    Size:               337551294464
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-0a

/org/freedesktop/UDisks2/block_devices/sda2:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda2
    DeviceNumber:               2050
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part2
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda2
    ReadOnly:                   false
    Size:                       1024
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part2
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part2
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        false
    IsContainer:        true
    Name:               
    Number:             2
    Offset:             1052835840
    Size:               1999346008064
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x0f
    UUID:               c900c900-02

/org/freedesktop/UDisks2/block_devices/sda5:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda5
    DeviceNumber:               2053
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part5
    IdLabel:                    XP-NTFS
    IdType:                     ntfs
    IdUUID:                     57A971EBCAB80484
    IdUsage:                    filesystem
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda5
    ReadOnly:                   false
    Size:                       52436127744
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part5
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part5
                                /dev/disk/by-label/XP-NTFS
                                /dev/disk/by-uuid/57A971EBCAB80484
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             5
    Offset:             1052868096
    Size:               52436127744
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x07
    UUID:               c900c900-05

/org/freedesktop/UDisks2/block_devices/sda6:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda6
    DeviceNumber:               2054
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part6
    IdLabel:                    W7-NTFS
    IdType:                     ntfs
    IdUUID:                     076DC77635A15F90
    IdUsage:                    filesystem
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda6
    ReadOnly:                   false
    Size:                       419423445504
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part6
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part6
                                /dev/disk/by-label/W7-NTFS
                                /dev/disk/by-uuid/076DC77635A15F90
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             6
    Offset:             53489028096
    Size:               419423445504
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x07
    UUID:               c900c900-06

/org/freedesktop/UDisks2/block_devices/sda7:
  org.freedesktop.UDisks2.Block:
    Configuration:              [('fstab', {'fsname': <b'UUID=1e8b8748-c86a-4a08-bd3a-2ea87c9c8359'>, 'dir': <b'/'>, 'type': <b'ext4'>, 'opts': <b'defaults'>, 'freq': <1>, 'passno': <1>})]
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda7
    DeviceNumber:               2055
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part7
    IdLabel:                    
    IdType:                     ext4
    IdUUID:                     1e8b8748-c86a-4a08-bd3a-2ea87c9c8359
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda7
    ReadOnly:                   false
    Size:                       1098153186304
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part7
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part7
                                /dev/disk/by-uuid/1e8b8748-c86a-4a08-bd3a-2ea87c9c8359
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        /
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             7
    Offset:             472912505856
    Size:               1098153186304
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-07

/org/freedesktop/UDisks2/block_devices/sda8:
  org.freedesktop.UDisks2.Block:
    Configuration:              [('fstab', {'fsname': <b'UUID=e71f066e-b3e2-457c-b9de-39a1e668ffb6'>, 'dir': <b'swap'>, 'type': <b'swap'>, 'opts': <b'defaults'>, 'freq': <0>, 'passno': <0>})]
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda8
    DeviceNumber:               2056
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part8
    IdLabel:                    
    IdType:                     swap
    IdUUID:                     e71f066e-b3e2-457c-b9de-39a1e668ffb6
    IdUsage:                    other
    IdVersion:                  1
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda8
    ReadOnly:                   false
    Size:                       8388608000
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part8
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part8
                                /dev/disk/by-uuid/e71f066e-b3e2-457c-b9de-39a1e668ffb6
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             8
    Offset:             1571066740736
    Size:               8388608000
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x82
    UUID:               c900c900-08
  org.freedesktop.UDisks2.Swapspace:
    Active:             true

/org/freedesktop/UDisks2/block_devices/sda9:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sda9
    DeviceNumber:               2057
    Drive:                      '/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545'
    HintAuto:                   false
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          true
    HintSymbolicIconName:       
    HintSystem:                 true
    Id:                         by-id-ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part9
    IdLabel:                    
    IdType:                     ext4
    IdUUID:                     c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
    IdUsage:                    filesystem
    IdVersion:                  1.0
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sda9
    ReadOnly:                   false
    Size:                       41941991424
    Symlinks:                   /dev/disk/by-id/ata-WDC_WD2002FAEX-007BA0_WD-WCAY01653545-part9
                                /dev/disk/by-id/wwn-0x178a08b54ee25001-part9
                                /dev/disk/by-uuid/c3a35ea7-0fa5-47cc-8940-81b12a2b98cf
  org.freedesktop.UDisks2.Filesystem:
    MountPoints:        
  org.freedesktop.UDisks2.Partition:
    Flags:              0
    IsContained:        true
    IsContainer:        false
    Name:               
    Number:             9
    Offset:             1579456397312
    Size:               41941991424
    Table:              '/org/freedesktop/UDisks2/block_devices/sda'
    Type:               0x83
    UUID:               c900c900-09

/org/freedesktop/UDisks2/block_devices/sr0:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sr0
    DeviceNumber:               2816
    Drive:                      '/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223L_Q9896GCS80448600'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sr0
    ReadOnly:                   true
    Size:                       0
    Symlinks:                   /dev/cdrom
                                /dev/disk/by-id/ata-TSSTcorp_CDDVDW_SH-S223L_Q9896GCS80448600

/org/freedesktop/UDisks2/block_devices/sr1:
  org.freedesktop.UDisks2.Block:
    Configuration:              []
    CryptoBackingDevice:        '/'
    Device:                     /dev/sr1
    DeviceNumber:               2817
    Drive:                      '/org/freedesktop/UDisks2/drives/ASUS____BW_12B1ST_B7D0CL344193'
    HintAuto:                   true
    HintIconName:               
    HintIgnore:                 false
    HintName:                   
    HintPartitionable:          false
    HintSymbolicIconName:       
    HintSystem:                 false
    Id:                         
    IdLabel:                    
    IdType:                     
    IdUUID:                     
    IdUsage:                    
    IdVersion:                  
    MDRaid:                     '/'
    MDRaidMember:               '/'
    PreferredDevice:            /dev/sr1
    ReadOnly:                   true
    Size:                       0
    Symlinks:                   /dev/disk/by-id/ata-ASUS_BW-12B1ST_B7D0CL344193

/org/freedesktop/UDisks2/drives/ASUS____BW_12B1ST_B7D0CL344193:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  true
    Id:                         ASUS----BW-12B1ST-B7D0CL344193
    Media:                      
    MediaAvailable:             false
    MediaChangeDetected:        true
    MediaCompatibility:         optical_bd
                                optical_bd_r
                                optical_bd_re
                                optical_cd
                                optical_cd_r
                                optical_cd_rw
                                optical_dvd
                                optical_dvd_plus_r
                                optical_dvd_plus_r_dl
                                optical_dvd_plus_rw
                                optical_dvd_r
                                optical_dvd_ram
                                optical_dvd_rw
                                optical_mrw
                                optical_mrw_w
    MediaRemovable:             true
    Model:                      ASUS    BW-12B1ST
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   1.03
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     B7D0CL344193
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/11removable/sr1
    TimeDetected:               1456373312467815
    TimeMediaDetected:          0
    Vendor:                     
    WWN:                        
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  false
    PmSupported:                                false
    SecurityEnhancedEraseUnitMinutes:           0
    SecurityEraseUnitMinutes:                   0
    SecurityFrozen:                             false
    SmartEnabled:                               false
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          -1
    SmartNumAttributesFailing:                  -1
    SmartNumBadSectors:                         1
    SmartPowerOnSeconds:                        0
    SmartSelftestPercentRemaining:              -1
    SmartSelftestStatus:                        
    SmartSupported:                             false
    SmartTemperature:                           0.0
    SmartUpdated:                               0
    WriteCacheEnabled:                          false
    WriteCacheSupported:                        false

/org/freedesktop/UDisks2/drives/Floppy_Drive:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  false
    Id:                         
    Media:                      floppy
    MediaAvailable:             true
    MediaChangeDetected:        false
    MediaCompatibility:         floppy
    MediaRemovable:             true
    Model:                      Floppy Drive
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/10removable/fd0
    TimeDetected:               1456373312230003
    TimeMediaDetected:          1456373312230003
    Vendor:                     
    WWN:                        

/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223L_Q9896GCS80448600:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  true
    Id:                         TSSTcorp-CDDVDW-SH-S223L-Q9896GCS80448600
    Media:                      
    MediaAvailable:             false
    MediaChangeDetected:        true
    MediaCompatibility:         optical_cd
                                optical_cd_r
                                optical_cd_rw
                                optical_dvd
                                optical_dvd_plus_r
                                optical_dvd_plus_r_dl
                                optical_dvd_plus_rw
                                optical_dvd_r
                                optical_dvd_ram
                                optical_dvd_rw
                                optical_mrw
                                optical_mrw_w
    MediaRemovable:             true
    Model:                      TSSTcorp CDDVDW SH-S223L
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  true
    Revision:                   SB04
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     Q9896GCS80448600
    SiblingId:                  
    Size:                       0
    SortKey:                    00coldplug/11removable/sr0
    TimeDetected:               1456373312467918
    TimeMediaDetected:          0
    Vendor:                     
    WWN:                        
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  false
    PmSupported:                                false
    SecurityEnhancedEraseUnitMinutes:           0
    SecurityEraseUnitMinutes:                   0
    SecurityFrozen:                             false
    SmartEnabled:                               false
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          -1
    SmartNumAttributesFailing:                  -1
    SmartNumBadSectors:                         1
    SmartPowerOnSeconds:                        0
    SmartSelftestPercentRemaining:              -1
    SmartSelftestStatus:                        
    SmartSupported:                             false
    SmartTemperature:                           0.0
    SmartUpdated:                               0
    WriteCacheEnabled:                          false
    WriteCacheSupported:                        false

/org/freedesktop/UDisks2/drives/WDC_WD2002FAEX_007BA0_WD_WCAY01653545:
  org.freedesktop.UDisks2.Drive:
    CanPowerOff:                false
    Configuration:              {}
    ConnectionBus:              
    Ejectable:                  false
    Id:                         WDC-WD2002FAEX-007BA0-WD-WCAY01653545
    Media:                      
    MediaAvailable:             true
    MediaChangeDetected:        true
    MediaCompatibility:         
    MediaRemovable:             false
    Model:                      WDC WD2002FAEX-007BA0
    Optical:                    false
    OpticalBlank:               false
    OpticalNumAudioTracks:      0
    OpticalNumDataTracks:       0
    OpticalNumSessions:         0
    OpticalNumTracks:           0
    Removable:                  false
    Revision:                   05.01D05
    RotationRate:               -1
    Seat:                       seat0
    Serial:                     WD-WCAY01653545
    SiblingId:                  
    Size:                       2000398934016
    SortKey:                    00coldplug/00fixed/sd____a
    TimeDetected:               1456373313254132
    TimeMediaDetected:          1456373313254132
    Vendor:                     
    WWN:                        0x178a08b54ee25001
  org.freedesktop.UDisks2.Drive.Ata:
    AamEnabled:                                 false
    AamSupported:                               false
    AamVendorRecommendedValue:                  0
    ApmEnabled:                                 false
    ApmSupported:                               false
    PmEnabled:                                  true
    PmSupported:                                true
    SecurityEnhancedEraseUnitMinutes:           310
    SecurityEraseUnitMinutes:                   310
    SecurityFrozen:                             true
    SmartEnabled:                               true
    SmartFailing:                               false
    SmartNumAttributesFailedInThePast:          0
    SmartNumAttributesFailing:                  0
    SmartNumBadSectors:                         0
    SmartPowerOnSeconds:                        63298800
    SmartSelftestPercentRemaining:              0
    SmartSelftestStatus:                        success
    SmartSupported:                             true
    SmartTemperature:                           311.15000000000003
    SmartUpdated:                               1456373357
    WriteCacheEnabled:                          true
    WriteCacheSupported:                        true
Comment 23 Sammy 2016-02-25 10:58:36 EST
I rebuilt the kernel-4.5.0-0.rc5.git0.2 from koji source rpm on fc23 and the
result is the same... no boot. Very frustrating. Anything in BIOS one can
try?
Comment 24 Sammy 2016-02-25 11:04:13 EST
This one is similar:

https://bugzilla.kernel.org/show_bug.cgi?id=111651

I applied the little patch suggested here yesterday but it did not fix it
for me. Perhaps needs to be with the previous patch?
Comment 25 Laura Abbott 2016-02-25 12:14:54 EST
I'm going to report this on the mailing list to see what happens. I don't want to delay 4.4.2 any more but 4.4.3 should be out "really soon now". I'll either bring in the revert with 4.4.3 or an appropriate fix. Thanks for testing and bearing with me for figuring this out.
Comment 26 Sammy 2016-02-25 12:16:59 EST
Another discussion:
https://bugs.archlinux.org/task/48069
Comment 27 Bob Schultz 2016-02-25 13:29:12 EST
Observation. There appears to be long running problems with sata/esata internal/external system vs. mountable determinations according to many discussions on the web. One source mentions that only certain AHCI controller configurations (and only AHCI controllers) are even capable of setting appropriate mode bits. It has been suggested that special rules be applied to certain known hardware schemes to eliminate confusion.

FWIW, the computer configuration I'm using is an i7-920
GA-EX58-UD4P (rev. 1.0)
Intel® X58 + ICH10R Chipset

AHCI configuration of course, and originally (but not now) running raid0 on the jmicron controller. (There was much testing with Hans de Goede back then which requires him to perform extensive code rewrites.)

There is an e-sata port installed (an expansion slot extension of the internal ports) but not being currently used.


Bob@engineering ~$ find /sys/devices/ -name sda
/sys/devices/pci0000:00/0000:00:1f.2/ata1/host0/target0:0:0/0:0:0:0/block/sda
Bob@engineering ~$
Comment 28 Bob Schultz 2016-02-25 13:52:47 EST
Forgot to paste lspci output for my configuration:

00:00.0 Host bridge: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port (rev 12)
00:01.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 1 (rev 12)
00:03.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 3 (rev 12)
00:07.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 7 (rev 12)
00:09.0 PCI bridge: Intel Corporation 7500/5520/5500/X58 I/O Hub PCI Express Root Port 9 (rev 12)
00:10.0 PIC: Intel Corporation 7500/5520/5500/X58 Physical and Link Layer Registers Port 0 (rev 12)
00:10.1 PIC: Intel Corporation 7500/5520/5500/X58 Routing and Protocol Layer Registers Port 0 (rev 12)
00:11.0 PIC: Intel Corporation 7500/5520/5500 Physical and Link Layer Registers Port 1 (rev 12)
00:11.1 PIC: Intel Corporation 7500/5520/5500 Routing & Protocol Layer Register Port 1 (rev 12)
00:13.0 PIC: Intel Corporation 7500/5520/5500/X58 I/O Hub I/OxAPIC Interrupt Controller (rev 12)
00:14.0 PIC: Intel Corporation 7500/5520/5500/X58 I/O Hub System Management Registers (rev 12)
00:14.1 PIC: Intel Corporation 7500/5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers (rev 12)
00:14.2 PIC: Intel Corporation 7500/5520/5500/X58 I/O Hub Control Status and RAS Registers (rev 12)
00:15.0 PIC: Intel Corporation 7500/5520/5500/X58 Trusted Execution Technology Registers (rev 12)
00:1a.0 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1
00:1c.1 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Port 2
00:1c.4 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 5
00:1d.0 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 SATA controller: Intel Corporation 82801JI (ICH10 Family) SATA AHCI Controller
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
01:00.0 USB controller: Renesas Technology Corp. uPD720201 USB 3.0 Host Controller (rev 03)
02:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GTX 650] (rev a1)
02:00.1 Audio device: NVIDIA Corporation GK107 HDMI Audio Controller (rev a1)
06:00.0 SATA controller: JMicron Technology Corp. JMB363 SATA/IDE Controller (rev 02)
06:00.1 IDE interface: JMicron Technology Corp. JMB363 SATA/IDE Controller (rev 02)
07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 03)
08:06.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
3f:00.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath Architecture Generic Non-Core Registers (rev 05)
3f:00.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath Architecture System Address Decoder (rev 05)
3f:02.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Link 0 (rev 05)
3f:02.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Physical 0 (rev 05)
3f:03.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller (rev 05)
3f:03.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Target Address Decoder (rev 05)
3f:03.4 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Test Registers (rev 05)
3f:04.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Control Registers (rev 05)
3f:04.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Address Registers (rev 05)
3f:04.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Rank Registers (rev 05)
3f:04.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Thermal Control Registers (rev 05)
3f:05.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Control Registers (rev 05)
3f:05.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Address Registers (rev 05)
3f:05.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Rank Registers (rev 05)
3f:05.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Thermal Control Registers (rev 05)
3f:06.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Control Registers (rev 05)
3f:06.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Address Registers (rev 05)
3f:06.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Rank Registers (rev 05)
3f:06.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Thermal Control Registers (rev 05)
Comment 29 Sammy 2016-02-25 13:55:14 EST
This is from my failing machine:
=========================================
# lspci
00:00.0 Host bridge: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 DMI2 (rev 04)
00:01.0 PCI bridge: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 1a (rev 04)
00:01.1 PCI bridge: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 1b (rev 04)
00:02.0 PCI bridge: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 2a (rev 04)
00:03.0 PCI bridge: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 3a (rev 04)
00:05.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 VTd/Memory Map/Misc (rev 04)
00:05.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 IIO RAS (rev 04)
00:05.4 PIC: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 IOAPIC (rev 04)
00:11.0 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Virtual Root Port (rev 06)
00:16.0 Communication controller: Intel Corporation C600/X79 series chipset MEI Controller #1 (rev 05)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 06)
00:1a.0 USB controller: Intel Corporation C600/X79 series chipset USB2 Enhanced Host Controller #2 (rev 06)
00:1b.0 Audio device: Intel Corporation C600/X79 series chipset High Definition Audio Controller (rev 06)
00:1c.0 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Root Port 3 (rev b6)
00:1c.1 PCI bridge: Intel Corporation C600/X79 series chipset PCI Express Root Port 2 (rev b6)
00:1d.0 USB controller: Intel Corporation C600/X79 series chipset USB2 Enhanced Host Controller #1 (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation C600/X79 series chipset LPC Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation C600/X79 series chipset 6-Port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation C600/X79 series chipset SMBus Host Controller (rev 06)
01:00.0 Serial Attached SCSI controller: LSI Logic / Symbios Logic SAS2308 PCI-Express Fusion-MPT SAS-2 (rev 05)
03:00.0 VGA compatible controller: NVIDIA Corporation GF119 [NVS 310] (rev a1)
03:00.1 Audio device: NVIDIA Corporation GF119 HDMI Audio Controller (rev a1)
06:00.0 USB controller: Renesas Technology Corp. uPD720201 USB 3.0 Host Controller (rev 03)
07:00.0 Ethernet controller: Intel Corporation I210 Gigabit Network Connection (rev 03)
7f:08.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 0 (rev 04)
7f:09.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 1 (rev 04)
7f:0a.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 0 (rev 04)
7f:0a.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 1 (rev 04)
7f:0a.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 2 (rev 04)
7f:0a.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 3 (rev 04)
7f:0b.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 UBOX Registers (rev 04)
7f:0b.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 UBOX Registers (rev 04)
7f:0c.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0c.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0c.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0c.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0c.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0c.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0d.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0d.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0d.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0d.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0d.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0d.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
7f:0e.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 0 (rev 04)
7f:0e.1 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 0 (rev 04)
7f:0f.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Target Address/Thermal Registers (rev 04)
7f:0f.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 RAS Registers (rev 04)
7f:0f.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
7f:0f.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
7f:0f.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
7f:0f.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
7f:10.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 0 (rev 04)
7f:10.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 1 (rev 04)
7f:10.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 0 (rev 04)
7f:10.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 1 (rev 04)
7f:10.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 2 (rev 04)
7f:10.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 3 (rev 04)
7f:10.6 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 2 (rev 04)
7f:10.7 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 3 (rev 04)
7f:13.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe (rev 04)
7f:13.1 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe (rev 04)
7f:13.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Registers (rev 04)
7f:13.5 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring (rev 04)
7f:16.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 System Address Decoder (rev 04)
7f:16.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Broadcast Registers (rev 04)
7f:16.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Broadcast Registers (rev 04)
7f:1c.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 1 (rev 04)
7f:1c.1 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 1 (rev 04)
7f:1d.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Target Address/Thermal Registers (rev 04)
7f:1d.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 RAS Registers (rev 04)
7f:1d.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
7f:1d.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
7f:1d.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
7f:1d.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
7f:1e.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 0 (rev 04)
7f:1e.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 1 (rev 04)
7f:1e.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 0 (rev 04)
7f:1e.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 1 (rev 04)
7f:1e.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 2 (rev 04)
7f:1e.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 3 (rev 04)
7f:1e.6 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 2 (rev 04)
7f:1e.7 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 3 (rev 04)
80:02.0 PCI bridge: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 2a (rev 04)
80:03.0 PCI bridge: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 3a (rev 04)
80:05.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 VTd/Memory Map/Misc (rev 04)
80:05.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 IIO RAS (rev 04)
80:05.4 PIC: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 IOAPIC (rev 04)
ff:08.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 0 (rev 04)
ff:09.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 1 (rev 04)
ff:0a.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 0 (rev 04)
ff:0a.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 1 (rev 04)
ff:0a.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 2 (rev 04)
ff:0a.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 3 (rev 04)
ff:0b.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 UBOX Registers (rev 04)
ff:0b.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 UBOX Registers (rev 04)
ff:0c.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0c.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0c.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0c.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0c.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0c.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0d.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0d.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0d.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0d.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0d.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0d.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers (rev 04)
ff:0e.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 0 (rev 04)
ff:0e.1 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 0 (rev 04)
ff:0f.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Target Address/Thermal Registers (rev 04)
ff:0f.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 RAS Registers (rev 04)
ff:0f.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
ff:0f.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
ff:0f.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
ff:0f.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers (rev 04)
ff:10.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 0 (rev 04)
ff:10.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 1 (rev 04)
ff:10.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 0 (rev 04)
ff:10.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 1 (rev 04)
ff:10.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 2 (rev 04)
ff:10.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 3 (rev 04)
ff:10.6 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 2 (rev 04)
ff:10.7 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 3 (rev 04)
ff:13.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe (rev 04)
ff:13.1 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe (rev 04)
ff:13.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Registers (rev 04)
ff:13.5 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring (rev 04)
ff:16.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 System Address Decoder (rev 04)
ff:16.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Broadcast Registers (rev 04)
ff:16.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Broadcast Registers (rev 04)
ff:1c.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 1 (rev 04)
ff:1c.1 Performance counters: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 1 (rev 04)
ff:1d.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Target Address/Thermal Registers (rev 04)
ff:1d.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 RAS Registers (rev 04)
ff:1d.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
ff:1d.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
ff:1d.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
ff:1d.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers (rev 04)
ff:1e.0 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 0 (rev 04)
ff:1e.1 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 1 (rev 04)
ff:1e.2 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 0 (rev 04)
ff:1e.3 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 1 (rev 04)
ff:1e.4 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 2 (rev 04)
ff:1e.5 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 3 (rev 04)
ff:1e.6 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 2 (rev 04)
ff:1e.7 System peripheral: Intel Corporation Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 3 (rev 04)
#
Comment 30 Sammy 2016-02-25 14:01:38 EST
This one works (previous us DELL PRECISION T7610, working one is T7910)
================================
00:00.0 Host bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 DMI2 (rev 02)
00:01.0 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1 (rev 02)
00:01.1 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1 (rev 02)
00:02.0 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2 (rev 02)
00:03.0 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3 (rev 02)
00:03.1 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3 (rev 02)
00:03.2 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3 (rev 02)
00:03.3 PCI bridge: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3 (rev 02)
00:05.0 System peripheral: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management (rev 02)
00:05.1 System peripheral: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug (rev 02)
00:05.2 System peripheral: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors (rev 02)
00:05.4 PIC: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC (rev 02)
00:11.0 Unassigned class [ff00]: Intel Corporation C610/X99 series chipset SPSR (rev 05)
00:14.0 USB controller: Intel Corporation C610/X99 series chipset USB xHCI Host Controller (rev 05)
00:16.0 Communication controller: Intel Corporation C610/X99 series chipset MEI Controller #1 (rev 05)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I217-LM (rev 05)
00:1a.0 USB controller: Intel Corporation C610/X99 series chipset USB Enhanced Host Controller #2 (rev 05)
00:1b.0 Audio device: Intel Corporation C610/X99 series chipset HD Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation C610/X99 series chipset PCI Express Root Port #1 (rev d5)
00:1c.1 PCI bridge: Intel Corporation C610/X99 series chipset PCI Express Root Port #2 (rev d5)
00:1c.3 PCI bridge: Intel Corporation C610/X99 series chipset PCI Express Root Port #4 (rev d5)
00:1d.0 USB controller: Intel Corporation C610/X99 series chipset USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation C610/X99 series chipset LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation C610/X99 series chipset 6-Port SATA Controller [AHCI mode] (rev 05)
00:1f.3 SMBus: Intel Corporation C610/X99 series chipset SMBus Controller (rev 05)
01:00.0 Serial Attached SCSI controller: LSI Logic / Symbios Logic SAS3008 PCI-Express Fusion-MPT SAS-3 (rev 02)
03:00.0 VGA compatible controller: NVIDIA Corporation GF119 [NVS 310] (rev a1)
03:00.1 Audio device: NVIDIA Corporation GF119 HDMI Audio Controller (rev a1)
09:00.0 Ethernet controller: Intel Corporation I210 Gigabit Network Connection (rev 03)
0a:00.0 PCI bridge: Texas Instruments XIO2001 PCI Express-to-PCI Bridge
7f:08.0 System peripheral: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0 (rev 02)
7f:08.2 Performance counters: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0 (rev 02)
7f:08.3 System peripheral: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0 (rev 02)
7f:09.0 System peripheral: Intel Corporation Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1 (rev 02)
Comment 31 Bob Schultz 2016-02-25 14:20:20 EST
Re: Comments 29, 30

There are certainly hardware differences between the two machines. Note esp.

00:1f.2 SATA controller: Intel Corporation C610/X99 series chipset 6-Port SATA
Controller [AHCI mode] (rev 05)
on the working machine,

and
00:1f.2 SATA controller: Intel Corporation C600/X79 series chipset 6-Port SATA
AHCI Controller (rev 06)
on the non-working machine.
Comment 32 Laura Abbott 2016-02-25 14:45:32 EST
The patch author gave a proposed fix, building at  http://koji.fedoraproject.org/koji/taskinfo?taskID=13130307
Comment 33 Manuel Lauss 2016-02-25 15:34:03 EST
Original patch author here.

The AHCI driver now flags every port which has either the HPCP or the ESP bits
set as "removable", which makes udisk2 think it's an USB drive and lets them appear in my kde removable device widget (and whatever redhat uses (gvfs?) to automount it unconditionally, but that's a redhat policy problem).

If you can, please try to disable the hotplug capability of the internal sata ports in your bios.
Comment 34 Sammy 2016-02-25 15:45:45 EST
I looked for that BIOS option but could not find it earlier. I changed the AHCI
to SATA. This resulted in disk light dimly showing for every second after the
boot image was loaded but it could never mount and continue. Set it back to AHCI
in which case the disk light does not show at all after loading the boot image.
Is there any indirect setting to try in BIOS?

I am not away so I can only try the new kernel tomorrow morning.
Comment 35 Sammy 2016-02-25 16:05:04 EST
This is what BIOS options say on my T7910:
===========================================

Allows you to configure the internal SATA hard-drive controller. 
The options are:
•
Disabled
•
ATA
•
AHCI
 (Default)
NOTE
: 
SATA is configured to support RAID mode. No SATA 
operation support in Tower 7910
Comment 36 Sammy 2016-02-25 16:21:17 EST
The above was BIOS options for the working machine T7910 (sorry). The ones for
the failing machine T7610 is similar:
=================================================

Allows you to configure the internal SATA hard-drive controller. The 
options are:
•
Disabled
•
ATA
•
AHCI
 (Default)
•
RAID On
NOTE
: 
SATA is configured to support RAID mode. No SATA 
operation support in T7610.
Comment 37 Sammy 2016-02-25 17:33:43 EST
Downloaded the recently finished x86_64 testatafix kernel from koji.

Installed remotely on the affected machine and rebooted. The system is not
back on suggesting that the prognosis is not good.
Comment 38 Didier G 2016-02-25 18:25:49 EST
(In reply to Bob Schultz from comment #0)
> Description of problem: Tried new test kernel. All hard drive partitions are
> mounted on boot on Mate desktop instead of just the boot partition, an
> incorrect action which also bypasses security measures. Mouse menu shows
> "eject", not "unmount", and partitions can't be unmounted.


Same problem for me using gnome-shell

I have on my hard disk two ntfs partitions not included in /etc/fstab

With kernel 4.3.5-300 this is OK these two partitions are not mounted
With kernel 4.4.2-300 or 301 this is WRONG these two partitions are mounted
Comment 39 Bob Schultz 2016-02-25 18:46:37 EST
It seems that the Serial ATA AHCI 1.3.1 Specification is the latest version.

http://www.intel.com/content/www/us/en/io/serial-ata/serial-ata-ahci-spec-rev1-3-1.html

For the Dell initial boot problem, might something have changed regarding the handling of the BIOS/OS Handoff Mechanism documented in section 10.6 page 108 of the spec? If I understand the failure symptom being reported--flashing disk light right at initial boot attempt--it might possibly be happening due to a broken handoff. This would be a different problem than an improper automount ala a usb stick.
Comment 40 Sammy 2016-02-25 19:06:51 EST
If this is referring to my comment; naturally when grub is loading initrd image
the disk light comes on. When the SATA option is on AHCI the disk light never
blinks again and after 4-5min you get the dracut message saying it could not
find the root and swap partitions (partition names are correct coming from the
initrd image). Only when I tried switching SATA from AHCI to ATA mode this every
second light blinking happened but the final result was the same. I tried this
because I thought switching going off AHCI may disable hotplug.
Comment 41 Bob Schultz 2016-02-25 19:19:50 EST
Question about Dell DELL PRECISION T7610: was system bios ever updated to Version A06 per Dell's recommendation? They claim no fixes, only enhanced flash write protection, but who knows?

http://www.dell.com/support/home/us/en/19/Drivers/DriversDetails?driverId=3FJJR

Obviously the system was working correctly before new kernel, but the new kernel *might* be depending on some parameter/behavior only present in the latest release bios, if that's the case. Worth checking.
Comment 42 Laura Abbott 2016-02-25 19:20:43 EST
Let's keep this focused here. If you see partitions being mounted unexpectedly on 4.4.2 AND running http://koji.fedoraproject.org/koji/taskinfo?taskID=13119361 fixes the issue for you please continue in this bug. For any other issue please file a new bugzilla.

For those who are still on this bug, please test http://koji.fedoraproject.org/koji/taskinfo?taskID=13130307. So far one person has stated that it does not work but it's important to see if it works for anyone else.
Comment 43 Sammy 2016-02-25 19:35:11 EST
DELL PRECISION T7610....I was at BIOS A08 and after this problem started updated
it to A10 but it did not help.

Laura, am I in the category to open a new bug? The fixes did not do it for me.
Comment 44 Bob Schultz 2016-02-25 19:38:59 EST
Laura, I can confirm that 4.4.2-301.testatafix.fc23.x86_64 works here.

Bob@engineering ~$ uname -a
Linux engineering 4.4.2-301.testatafix.fc23.x86_64 #1 SMP Thu Feb 25 20:36:26 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Bob@engineering ~$ 

Thanks.
Comment 45 Laura Abbott 2016-02-25 20:01:00 EST
@Sammy, yes I see you opened up a new bug. We will track your issue there.

@Bob, thanks for testing. Are you okay with having a Tested-by tag added on the commit to indicate it worked for you?
Comment 46 Bob Schultz 2016-02-25 20:08:05 EST
Sure Laura. It's fine with me. Thanks again.
Comment 47 Didier G 2016-02-25 20:43:06 EST
(In reply to Laura Abbott from comment #42)
> Let's keep this focused here. If you see partitions being mounted
> unexpectedly on 4.4.2 AND running
> http://koji.fedoraproject.org/koji/taskinfo?taskID=13119361 fixes the issue
> for you please continue in this bug. For any other issue please file a new
> bugzilla.


So my problem described in comment #38 is FIXED by kernel-4.4.2-301.removablefix.fc23.x86_64 downloaded from http://koji.fedoraproject.org/koji/taskinfo?taskID=13119361 

Thanks for your efforts.
Comment 48 Fedora Update System 2016-02-26 23:56:31 EST
kernel-4.4.3-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1642a20327
Comment 49 Bob Schultz 2016-02-27 10:05:57 EST
Linux engineering 4.4.3-300.fc23.x86_64 #1 SMP Fri Feb 26 18:45:40 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux: tested ok here.
Comment 50 Fedora Update System 2016-02-28 08:54:45 EST
kernel-4.4.3-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1642a20327
Comment 51 Fedora Update System 2016-03-02 16:21:55 EST
kernel-4.4.3-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 52 Madi 2016-03-03 04:55:43 EST
(In reply to Fedora Update System from comment #51)
> kernel-4.4.3-300.fc23 has been pushed to the Fedora 23 stable repository. If
> problems still persist, please make note of it in this bug report.

Bug still persists.
F23 on Intel Xeon E3, LSI SAS controller. 4.4.* are problematic (no disks detected). Other kernel's up to 4.3.5 where running perfectly. What other info should i deliver?
Comment 53 Madi 2016-03-03 06:24:04 EST
Found such entries in log :
 ata1: SATA link down (SStatus 0 SControl 300) 
for ata1 to ata6
Comment 54 Manuel Lauss 2016-03-03 06:52:55 EST
which partitions/disks on which controller are automounted? as far as I know only AHCI SATA controllers should be affected.
Comment 55 Josh Boyer 2016-03-03 07:00:41 EST
(In reply to Madi from comment #52)
> (In reply to Fedora Update System from comment #51)
> > kernel-4.4.3-300.fc23 has been pushed to the Fedora 23 stable repository. If
> > problems still persist, please make note of it in this bug report.
> 
> Bug still persists.
> F23 on Intel Xeon E3, LSI SAS controller. 4.4.* are problematic (no disks
> detected). Other kernel's up to 4.3.5 where running perfectly. What other
> info should i deliver?

Your issue is likely entirely different than the one this bug covers.  The 4.4 kernel uses mpt3sas.ko for some SAS cards now instead of mpt2sas.ko.  The appropriate modalias is in the mpt3sas driver, but dracut isn't picking it up when it creates the initramfs.  You will need to rebuild your initramfs and explicitly tell dracut to use mpt3sas.  This issue is being tracked in bug 1313025
Comment 56 Madi 2016-03-03 07:22:21 EST
(In reply to Josh Boyer from comment #55)
> (In reply to Madi from comment #52)
> > (In reply to Fedora Update System from comment #51)
> > > kernel-4.4.3-300.fc23 has been pushed to the Fedora 23 stable repository. If
> > > problems still persist, please make note of it in this bug report.
> > 
> > Bug still persists.
> > F23 on Intel Xeon E3, LSI SAS controller. 4.4.* are problematic (no disks
> > detected). Other kernel's up to 4.3.5 where running perfectly. What other
> > info should i deliver?
> 
> Your issue is likely entirely different than the one this bug covers.  The
> 4.4 kernel uses mpt3sas.ko for some SAS cards now instead of mpt2sas.ko. 
> The appropriate modalias is in the mpt3sas driver, but dracut isn't picking
> it up when it creates the initramfs.  You will need to rebuild your
> initramfs and explicitly tell dracut to use mpt3sas.  This issue is being
> tracked in bug 1313025

You are 100% correct.
My mistake. Sorry for littering in this bug.
Thank you.

(In reply to Manuel Lauss from comment #54)

Sorry. I've wrongly assumed this bug was connected to my problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.